import { defineComponent as j, computed as A, withDirectives as zn, openBlock as C, createElementBlock as T, normalizeClass as Y, renderSlot as R, unref as F, createElementVNode as tt, createCommentVNode as at, vShow as Rn, watch as Fn, h as Je, toDisplayString as dt, createVNode as Ae, Fragment as It, createTextVNode as Wt, ref as tn, inject as Se, onMounted as jn, onUnmounted as Dn, onUpdated as Bn, provide as Oe, renderList as Yn } from "vue";
function w(t) {
  if (typeof t == "boolean")
    return t;
  if (typeof t == "string")
    switch (t = t.trim().toLowerCase(), t) {
      case "true":
        return !0;
      case "false":
        return !1;
    }
}
function Kt(t) {
  if (typeof t == "number")
    return t;
  if (typeof t == "string") {
    const e = Number(t.trim());
    if (!isNaN(e))
      return e;
  }
}
const ei = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  parseBoolean: w,
  parseNumber: Kt
}, Symbol.toStringTag, { value: "Module" })), Un = ["aria-label"], ni = /* @__PURE__ */ j({
  __name: "TarAlert",
  props: {
    close: { default: "Close" },
    dismissible: { type: [Boolean, String] },
    modelValue: { type: [Boolean, String] },
    show: { type: [Boolean, String] },
    variant: { default: "primary" }
  },
  emits: ["update:model-value"],
  setup(t) {
    const e = t, n = A(() => w(e.show) || w(e.modelValue) || !1), a = A(() => {
      const r = ["alert"];
      return e.variant && r.push(`alert-${e.variant}`), w(e.dismissible) && r.push("alert-dismissible"), n.value && r.push("show"), r;
    });
    return (r, i) => zn((C(), T("div", {
      class: Y(a.value),
      role: "alert"
    }, [
      R(r.$slots, "default"),
      F(w)(r.dismissible) ? R(r.$slots, "close-button", { key: 0 }, () => [
        tt("button", {
          type: "button",
          class: "btn-close",
          "aria-label": r.close,
          onClick: i[0] || (i[0] = (o) => r.$emit("update:model-value", !1))
        }, null, 8, Un)
      ]) : at("", !0)
    ], 2)), [
      [Rn, n.value]
    ]);
  }
}), ai = /* @__PURE__ */ j({
  __name: "TarBadge",
  props: {
    pill: { type: [Boolean, String] },
    variant: { default: "primary" }
  },
  setup(t) {
    const e = t, n = A(() => {
      const a = ["badge"];
      return w(e.pill) && a.push("rounded-pill"), e.variant && a.push(`text-bg-${e.variant}`), a;
    });
    return (a, r) => (C(), T("span", {
      class: Y(n.value)
    }, [
      R(a.$slots, "default")
    ], 2));
  }
});
function _e(t, e) {
  var n = Object.keys(t);
  if (Object.getOwnPropertySymbols) {
    var a = Object.getOwnPropertySymbols(t);
    e && (a = a.filter(function(r) {
      return Object.getOwnPropertyDescriptor(t, r).enumerable;
    })), n.push.apply(n, a);
  }
  return n;
}
function m(t) {
  for (var e = 1; e < arguments.length; e++) {
    var n = arguments[e] != null ? arguments[e] : {};
    e % 2 ? _e(Object(n), !0).forEach(function(a) {
      _(t, a, n[a]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(t, Object.getOwnPropertyDescriptors(n)) : _e(Object(n)).forEach(function(a) {
      Object.defineProperty(t, a, Object.getOwnPropertyDescriptor(n, a));
    });
  }
  return t;
}
function $t(t) {
  "@babel/helpers - typeof";
  return $t = typeof Symbol == "function" && typeof Symbol.iterator == "symbol" ? function(e) {
    return typeof e;
  } : function(e) {
    return e && typeof Symbol == "function" && e.constructor === Symbol && e !== Symbol.prototype ? "symbol" : typeof e;
  }, $t(t);
}
function Wn(t, e) {
  if (!(t instanceof e))
    throw new TypeError("Cannot call a class as a function");
}
function Pe(t, e) {
  for (var n = 0; n < e.length; n++) {
    var a = e[n];
    a.enumerable = a.enumerable || !1, a.configurable = !0, "value" in a && (a.writable = !0), Object.defineProperty(t, a.key, a);
  }
}
function Hn(t, e, n) {
  return e && Pe(t.prototype, e), n && Pe(t, n), Object.defineProperty(t, "prototype", {
    writable: !1
  }), t;
}
function _(t, e, n) {
  return e in t ? Object.defineProperty(t, e, {
    value: n,
    enumerable: !0,
    configurable: !0,
    writable: !0
  }) : t[e] = n, t;
}
function fe(t, e) {
  return Gn(t) || Kn(t, e) || en(t, e) || Qn();
}
function yt(t) {
  return Vn(t) || Xn(t) || en(t) || qn();
}
function Vn(t) {
  if (Array.isArray(t))
    return qt(t);
}
function Gn(t) {
  if (Array.isArray(t))
    return t;
}
function Xn(t) {
  if (typeof Symbol < "u" && t[Symbol.iterator] != null || t["@@iterator"] != null)
    return Array.from(t);
}
function Kn(t, e) {
  var n = t == null ? null : typeof Symbol < "u" && t[Symbol.iterator] || t["@@iterator"];
  if (n != null) {
    var a = [], r = !0, i = !1, o, s;
    try {
      for (n = n.call(t); !(r = (o = n.next()).done) && (a.push(o.value), !(e && a.length === e)); r = !0)
        ;
    } catch (l) {
      i = !0, s = l;
    } finally {
      try {
        !r && n.return != null && n.return();
      } finally {
        if (i)
          throw s;
      }
    }
    return a;
  }
}
function en(t, e) {
  if (t) {
    if (typeof t == "string")
      return qt(t, e);
    var n = Object.prototype.toString.call(t).slice(8, -1);
    if (n === "Object" && t.constructor && (n = t.constructor.name), n === "Map" || n === "Set")
      return Array.from(t);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n))
      return qt(t, e);
  }
}
function qt(t, e) {
  (e == null || e > t.length) && (e = t.length);
  for (var n = 0, a = new Array(e); n < e; n++)
    a[n] = t[n];
  return a;
}
function qn() {
  throw new TypeError(`Invalid attempt to spread non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`);
}
function Qn() {
  throw new TypeError(`Invalid attempt to destructure non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`);
}
var Ee = function() {
}, ue = {}, nn = {}, an = null, rn = {
  mark: Ee,
  measure: Ee
};
try {
  typeof window < "u" && (ue = window), typeof document < "u" && (nn = document), typeof MutationObserver < "u" && (an = MutationObserver), typeof performance < "u" && (rn = performance);
} catch {
}
var Zn = ue.navigator || {}, Ce = Zn.userAgent, Te = Ce === void 0 ? "" : Ce, K = ue, k = nn, Ie = an, xt = rn;
K.document;
var V = !!k.documentElement && !!k.head && typeof k.addEventListener == "function" && typeof k.createElement == "function", on = ~Te.indexOf("MSIE") || ~Te.indexOf("Trident/"), At, St, Ot, _t, Pt, U = "___FONT_AWESOME___", Qt = 16, sn = "fa", ln = "svg-inline--fa", et = "data-fa-i2svg", Zt = "data-fa-pseudo-element", Jn = "data-fa-pseudo-element-pending", ce = "data-prefix", me = "data-icon", Ne = "fontawesome-i2svg", ta = "async", ea = ["HTML", "HEAD", "STYLE", "SCRIPT"], fn = function() {
  try {
    return process.env.NODE_ENV === "production";
  } catch {
    return !1;
  }
}(), y = "classic", x = "sharp", de = [y, x];
function kt(t) {
  return new Proxy(t, {
    get: function(n, a) {
      return a in n ? n[a] : n[y];
    }
  });
}
var vt = kt((At = {}, _(At, y, {
  fa: "solid",
  fas: "solid",
  "fa-solid": "solid",
  far: "regular",
  "fa-regular": "regular",
  fal: "light",
  "fa-light": "light",
  fat: "thin",
  "fa-thin": "thin",
  fad: "duotone",
  "fa-duotone": "duotone",
  fab: "brands",
  "fa-brands": "brands",
  fak: "kit",
  fakd: "kit",
  "fa-kit": "kit",
  "fa-kit-duotone": "kit"
}), _(At, x, {
  fa: "solid",
  fass: "solid",
  "fa-solid": "solid",
  fasr: "regular",
  "fa-regular": "regular",
  fasl: "light",
  "fa-light": "light",
  fast: "thin",
  "fa-thin": "thin"
}), At)), pt = kt((St = {}, _(St, y, {
  solid: "fas",
  regular: "far",
  light: "fal",
  thin: "fat",
  duotone: "fad",
  brands: "fab",
  kit: "fak"
}), _(St, x, {
  solid: "fass",
  regular: "fasr",
  light: "fasl",
  thin: "fast"
}), St)), bt = kt((Ot = {}, _(Ot, y, {
  fab: "fa-brands",
  fad: "fa-duotone",
  fak: "fa-kit",
  fal: "fa-light",
  far: "fa-regular",
  fas: "fa-solid",
  fat: "fa-thin"
}), _(Ot, x, {
  fass: "fa-solid",
  fasr: "fa-regular",
  fasl: "fa-light",
  fast: "fa-thin"
}), Ot)), na = kt((_t = {}, _(_t, y, {
  "fa-brands": "fab",
  "fa-duotone": "fad",
  "fa-kit": "fak",
  "fa-light": "fal",
  "fa-regular": "far",
  "fa-solid": "fas",
  "fa-thin": "fat"
}), _(_t, x, {
  "fa-solid": "fass",
  "fa-regular": "fasr",
  "fa-light": "fasl",
  "fa-thin": "fast"
}), _t)), aa = /fa(s|r|l|t|d|b|k|ss|sr|sl|st)?[\-\ ]/, un = "fa-layers-text", ra = /Font ?Awesome ?([56 ]*)(Solid|Regular|Light|Thin|Duotone|Brands|Free|Pro|Sharp|Kit)?.*/i, ia = kt((Pt = {}, _(Pt, y, {
  900: "fas",
  400: "far",
  normal: "far",
  300: "fal",
  100: "fat"
}), _(Pt, x, {
  900: "fass",
  400: "fasr",
  300: "fasl",
  100: "fast"
}), Pt)), cn = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10], oa = cn.concat([11, 12, 13, 14, 15, 16, 17, 18, 19, 20]), sa = ["class", "data-prefix", "data-icon", "data-fa-transform", "data-fa-mask"], Z = {
  GROUP: "duotone-group",
  SWAP_OPACITY: "swap-opacity",
  PRIMARY: "primary",
  SECONDARY: "secondary"
}, gt = /* @__PURE__ */ new Set();
Object.keys(pt[y]).map(gt.add.bind(gt));
Object.keys(pt[x]).map(gt.add.bind(gt));
var la = [].concat(de, yt(gt), ["2xs", "xs", "sm", "lg", "xl", "2xl", "beat", "border", "fade", "beat-fade", "bounce", "flip-both", "flip-horizontal", "flip-vertical", "flip", "fw", "inverse", "layers-counter", "layers-text", "layers", "li", "pull-left", "pull-right", "pulse", "rotate-180", "rotate-270", "rotate-90", "rotate-by", "shake", "spin-pulse", "spin-reverse", "spin", "stack-1x", "stack-2x", "stack", "ul", Z.GROUP, Z.SWAP_OPACITY, Z.PRIMARY, Z.SECONDARY]).concat(cn.map(function(t) {
  return "".concat(t, "x");
})).concat(oa.map(function(t) {
  return "w-".concat(t);
})), ut = K.FontAwesomeConfig || {};
function fa(t) {
  var e = k.querySelector("script[" + t + "]");
  if (e)
    return e.getAttribute(t);
}
function ua(t) {
  return t === "" ? !0 : t === "false" ? !1 : t === "true" ? !0 : t;
}
if (k && typeof k.querySelector == "function") {
  var ca = [["data-family-prefix", "familyPrefix"], ["data-css-prefix", "cssPrefix"], ["data-family-default", "familyDefault"], ["data-style-default", "styleDefault"], ["data-replacement-class", "replacementClass"], ["data-auto-replace-svg", "autoReplaceSvg"], ["data-auto-add-css", "autoAddCss"], ["data-auto-a11y", "autoA11y"], ["data-search-pseudo-elements", "searchPseudoElements"], ["data-observe-mutations", "observeMutations"], ["data-mutate-approach", "mutateApproach"], ["data-keep-original-source", "keepOriginalSource"], ["data-measure-performance", "measurePerformance"], ["data-show-missing-icons", "showMissingIcons"]];
  ca.forEach(function(t) {
    var e = fe(t, 2), n = e[0], a = e[1], r = ua(fa(n));
    r != null && (ut[a] = r);
  });
}
var mn = {
  styleDefault: "solid",
  familyDefault: "classic",
  cssPrefix: sn,
  replacementClass: ln,
  autoReplaceSvg: !0,
  autoAddCss: !0,
  autoA11y: !0,
  searchPseudoElements: !1,
  observeMutations: !0,
  mutateApproach: "async",
  keepOriginalSource: !0,
  measurePerformance: !1,
  showMissingIcons: !0
};
ut.familyPrefix && (ut.cssPrefix = ut.familyPrefix);
var st = m(m({}, mn), ut);
st.autoReplaceSvg || (st.observeMutations = !1);
var d = {};
Object.keys(mn).forEach(function(t) {
  Object.defineProperty(d, t, {
    enumerable: !0,
    set: function(n) {
      st[t] = n, ct.forEach(function(a) {
        return a(d);
      });
    },
    get: function() {
      return st[t];
    }
  });
});
Object.defineProperty(d, "familyPrefix", {
  enumerable: !0,
  set: function(e) {
    st.cssPrefix = e, ct.forEach(function(n) {
      return n(d);
    });
  },
  get: function() {
    return st.cssPrefix;
  }
});
K.FontAwesomeConfig = d;
var ct = [];
function ma(t) {
  return ct.push(t), function() {
    ct.splice(ct.indexOf(t), 1);
  };
}
var X = Qt, B = {
  size: 16,
  x: 0,
  y: 0,
  rotate: 0,
  flipX: !1,
  flipY: !1
};
function da(t) {
  if (!(!t || !V)) {
    var e = k.createElement("style");
    e.setAttribute("type", "text/css"), e.innerHTML = t;
    for (var n = k.head.childNodes, a = null, r = n.length - 1; r > -1; r--) {
      var i = n[r], o = (i.tagName || "").toUpperCase();
      ["STYLE", "LINK"].indexOf(o) > -1 && (a = i);
    }
    return k.head.insertBefore(e, a), t;
  }
}
var va = "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ";
function ht() {
  for (var t = 12, e = ""; t-- > 0; )
    e += va[Math.random() * 62 | 0];
  return e;
}
function lt(t) {
  for (var e = [], n = (t || []).length >>> 0; n--; )
    e[n] = t[n];
  return e;
}
function ve(t) {
  return t.classList ? lt(t.classList) : (t.getAttribute("class") || "").split(" ").filter(function(e) {
    return e;
  });
}
function dn(t) {
  return "".concat(t).replace(/&/g, "&amp;").replace(/"/g, "&quot;").replace(/'/g, "&#39;").replace(/</g, "&lt;").replace(/>/g, "&gt;");
}
function pa(t) {
  return Object.keys(t || {}).reduce(function(e, n) {
    return e + "".concat(n, '="').concat(dn(t[n]), '" ');
  }, "").trim();
}
function jt(t) {
  return Object.keys(t || {}).reduce(function(e, n) {
    return e + "".concat(n, ": ").concat(t[n].trim(), ";");
  }, "");
}
function pe(t) {
  return t.size !== B.size || t.x !== B.x || t.y !== B.y || t.rotate !== B.rotate || t.flipX || t.flipY;
}
function ba(t) {
  var e = t.transform, n = t.containerWidth, a = t.iconWidth, r = {
    transform: "translate(".concat(n / 2, " 256)")
  }, i = "translate(".concat(e.x * 32, ", ").concat(e.y * 32, ") "), o = "scale(".concat(e.size / 16 * (e.flipX ? -1 : 1), ", ").concat(e.size / 16 * (e.flipY ? -1 : 1), ") "), s = "rotate(".concat(e.rotate, " 0 0)"), l = {
    transform: "".concat(i, " ").concat(o, " ").concat(s)
  }, c = {
    transform: "translate(".concat(a / 2 * -1, " -256)")
  };
  return {
    outer: r,
    inner: l,
    path: c
  };
}
function ga(t) {
  var e = t.transform, n = t.width, a = n === void 0 ? Qt : n, r = t.height, i = r === void 0 ? Qt : r, o = t.startCentered, s = o === void 0 ? !1 : o, l = "";
  return s && on ? l += "translate(".concat(e.x / X - a / 2, "em, ").concat(e.y / X - i / 2, "em) ") : s ? l += "translate(calc(-50% + ".concat(e.x / X, "em), calc(-50% + ").concat(e.y / X, "em)) ") : l += "translate(".concat(e.x / X, "em, ").concat(e.y / X, "em) "), l += "scale(".concat(e.size / X * (e.flipX ? -1 : 1), ", ").concat(e.size / X * (e.flipY ? -1 : 1), ") "), l += "rotate(".concat(e.rotate, "deg) "), l;
}
var ha = `:root, :host {
  --fa-font-solid: normal 900 1em/1 "Font Awesome 6 Solid";
  --fa-font-regular: normal 400 1em/1 "Font Awesome 6 Regular";
  --fa-font-light: normal 300 1em/1 "Font Awesome 6 Light";
  --fa-font-thin: normal 100 1em/1 "Font Awesome 6 Thin";
  --fa-font-duotone: normal 900 1em/1 "Font Awesome 6 Duotone";
  --fa-font-sharp-solid: normal 900 1em/1 "Font Awesome 6 Sharp";
  --fa-font-sharp-regular: normal 400 1em/1 "Font Awesome 6 Sharp";
  --fa-font-sharp-light: normal 300 1em/1 "Font Awesome 6 Sharp";
  --fa-font-sharp-thin: normal 100 1em/1 "Font Awesome 6 Sharp";
  --fa-font-brands: normal 400 1em/1 "Font Awesome 6 Brands";
}

svg:not(:root).svg-inline--fa, svg:not(:host).svg-inline--fa {
  overflow: visible;
  box-sizing: content-box;
}

.svg-inline--fa {
  display: var(--fa-display, inline-block);
  height: 1em;
  overflow: visible;
  vertical-align: -0.125em;
}
.svg-inline--fa.fa-2xs {
  vertical-align: 0.1em;
}
.svg-inline--fa.fa-xs {
  vertical-align: 0em;
}
.svg-inline--fa.fa-sm {
  vertical-align: -0.0714285705em;
}
.svg-inline--fa.fa-lg {
  vertical-align: -0.2em;
}
.svg-inline--fa.fa-xl {
  vertical-align: -0.25em;
}
.svg-inline--fa.fa-2xl {
  vertical-align: -0.3125em;
}
.svg-inline--fa.fa-pull-left {
  margin-right: var(--fa-pull-margin, 0.3em);
  width: auto;
}
.svg-inline--fa.fa-pull-right {
  margin-left: var(--fa-pull-margin, 0.3em);
  width: auto;
}
.svg-inline--fa.fa-li {
  width: var(--fa-li-width, 2em);
  top: 0.25em;
}
.svg-inline--fa.fa-fw {
  width: var(--fa-fw-width, 1.25em);
}

.fa-layers svg.svg-inline--fa {
  bottom: 0;
  left: 0;
  margin: auto;
  position: absolute;
  right: 0;
  top: 0;
}

.fa-layers-counter, .fa-layers-text {
  display: inline-block;
  position: absolute;
  text-align: center;
}

.fa-layers {
  display: inline-block;
  height: 1em;
  position: relative;
  text-align: center;
  vertical-align: -0.125em;
  width: 1em;
}
.fa-layers svg.svg-inline--fa {
  -webkit-transform-origin: center center;
          transform-origin: center center;
}

.fa-layers-text {
  left: 50%;
  top: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  -webkit-transform-origin: center center;
          transform-origin: center center;
}

.fa-layers-counter {
  background-color: var(--fa-counter-background-color, #ff253a);
  border-radius: var(--fa-counter-border-radius, 1em);
  box-sizing: border-box;
  color: var(--fa-inverse, #fff);
  line-height: var(--fa-counter-line-height, 1);
  max-width: var(--fa-counter-max-width, 5em);
  min-width: var(--fa-counter-min-width, 1.5em);
  overflow: hidden;
  padding: var(--fa-counter-padding, 0.25em 0.5em);
  right: var(--fa-right, 0);
  text-overflow: ellipsis;
  top: var(--fa-top, 0);
  -webkit-transform: scale(var(--fa-counter-scale, 0.25));
          transform: scale(var(--fa-counter-scale, 0.25));
  -webkit-transform-origin: top right;
          transform-origin: top right;
}

.fa-layers-bottom-right {
  bottom: var(--fa-bottom, 0);
  right: var(--fa-right, 0);
  top: auto;
  -webkit-transform: scale(var(--fa-layers-scale, 0.25));
          transform: scale(var(--fa-layers-scale, 0.25));
  -webkit-transform-origin: bottom right;
          transform-origin: bottom right;
}

.fa-layers-bottom-left {
  bottom: var(--fa-bottom, 0);
  left: var(--fa-left, 0);
  right: auto;
  top: auto;
  -webkit-transform: scale(var(--fa-layers-scale, 0.25));
          transform: scale(var(--fa-layers-scale, 0.25));
  -webkit-transform-origin: bottom left;
          transform-origin: bottom left;
}

.fa-layers-top-right {
  top: var(--fa-top, 0);
  right: var(--fa-right, 0);
  -webkit-transform: scale(var(--fa-layers-scale, 0.25));
          transform: scale(var(--fa-layers-scale, 0.25));
  -webkit-transform-origin: top right;
          transform-origin: top right;
}

.fa-layers-top-left {
  left: var(--fa-left, 0);
  right: auto;
  top: var(--fa-top, 0);
  -webkit-transform: scale(var(--fa-layers-scale, 0.25));
          transform: scale(var(--fa-layers-scale, 0.25));
  -webkit-transform-origin: top left;
          transform-origin: top left;
}

.fa-1x {
  font-size: 1em;
}

.fa-2x {
  font-size: 2em;
}

.fa-3x {
  font-size: 3em;
}

.fa-4x {
  font-size: 4em;
}

.fa-5x {
  font-size: 5em;
}

.fa-6x {
  font-size: 6em;
}

.fa-7x {
  font-size: 7em;
}

.fa-8x {
  font-size: 8em;
}

.fa-9x {
  font-size: 9em;
}

.fa-10x {
  font-size: 10em;
}

.fa-2xs {
  font-size: 0.625em;
  line-height: 0.1em;
  vertical-align: 0.225em;
}

.fa-xs {
  font-size: 0.75em;
  line-height: 0.0833333337em;
  vertical-align: 0.125em;
}

.fa-sm {
  font-size: 0.875em;
  line-height: 0.0714285718em;
  vertical-align: 0.0535714295em;
}

.fa-lg {
  font-size: 1.25em;
  line-height: 0.05em;
  vertical-align: -0.075em;
}

.fa-xl {
  font-size: 1.5em;
  line-height: 0.0416666682em;
  vertical-align: -0.125em;
}

.fa-2xl {
  font-size: 2em;
  line-height: 0.03125em;
  vertical-align: -0.1875em;
}

.fa-fw {
  text-align: center;
  width: 1.25em;
}

.fa-ul {
  list-style-type: none;
  margin-left: var(--fa-li-margin, 2.5em);
  padding-left: 0;
}
.fa-ul > li {
  position: relative;
}

.fa-li {
  left: calc(var(--fa-li-width, 2em) * -1);
  position: absolute;
  text-align: center;
  width: var(--fa-li-width, 2em);
  line-height: inherit;
}

.fa-border {
  border-color: var(--fa-border-color, #eee);
  border-radius: var(--fa-border-radius, 0.1em);
  border-style: var(--fa-border-style, solid);
  border-width: var(--fa-border-width, 0.08em);
  padding: var(--fa-border-padding, 0.2em 0.25em 0.15em);
}

.fa-pull-left {
  float: left;
  margin-right: var(--fa-pull-margin, 0.3em);
}

.fa-pull-right {
  float: right;
  margin-left: var(--fa-pull-margin, 0.3em);
}

.fa-beat {
  -webkit-animation-name: fa-beat;
          animation-name: fa-beat;
  -webkit-animation-delay: var(--fa-animation-delay, 0s);
          animation-delay: var(--fa-animation-delay, 0s);
  -webkit-animation-direction: var(--fa-animation-direction, normal);
          animation-direction: var(--fa-animation-direction, normal);
  -webkit-animation-duration: var(--fa-animation-duration, 1s);
          animation-duration: var(--fa-animation-duration, 1s);
  -webkit-animation-iteration-count: var(--fa-animation-iteration-count, infinite);
          animation-iteration-count: var(--fa-animation-iteration-count, infinite);
  -webkit-animation-timing-function: var(--fa-animation-timing, ease-in-out);
          animation-timing-function: var(--fa-animation-timing, ease-in-out);
}

.fa-bounce {
  -webkit-animation-name: fa-bounce;
          animation-name: fa-bounce;
  -webkit-animation-delay: var(--fa-animation-delay, 0s);
          animation-delay: var(--fa-animation-delay, 0s);
  -webkit-animation-direction: var(--fa-animation-direction, normal);
          animation-direction: var(--fa-animation-direction, normal);
  -webkit-animation-duration: var(--fa-animation-duration, 1s);
          animation-duration: var(--fa-animation-duration, 1s);
  -webkit-animation-iteration-count: var(--fa-animation-iteration-count, infinite);
          animation-iteration-count: var(--fa-animation-iteration-count, infinite);
  -webkit-animation-timing-function: var(--fa-animation-timing, cubic-bezier(0.28, 0.84, 0.42, 1));
          animation-timing-function: var(--fa-animation-timing, cubic-bezier(0.28, 0.84, 0.42, 1));
}

.fa-fade {
  -webkit-animation-name: fa-fade;
          animation-name: fa-fade;
  -webkit-animation-delay: var(--fa-animation-delay, 0s);
          animation-delay: var(--fa-animation-delay, 0s);
  -webkit-animation-direction: var(--fa-animation-direction, normal);
          animation-direction: var(--fa-animation-direction, normal);
  -webkit-animation-duration: var(--fa-animation-duration, 1s);
          animation-duration: var(--fa-animation-duration, 1s);
  -webkit-animation-iteration-count: var(--fa-animation-iteration-count, infinite);
          animation-iteration-count: var(--fa-animation-iteration-count, infinite);
  -webkit-animation-timing-function: var(--fa-animation-timing, cubic-bezier(0.4, 0, 0.6, 1));
          animation-timing-function: var(--fa-animation-timing, cubic-bezier(0.4, 0, 0.6, 1));
}

.fa-beat-fade {
  -webkit-animation-name: fa-beat-fade;
          animation-name: fa-beat-fade;
  -webkit-animation-delay: var(--fa-animation-delay, 0s);
          animation-delay: var(--fa-animation-delay, 0s);
  -webkit-animation-direction: var(--fa-animation-direction, normal);
          animation-direction: var(--fa-animation-direction, normal);
  -webkit-animation-duration: var(--fa-animation-duration, 1s);
          animation-duration: var(--fa-animation-duration, 1s);
  -webkit-animation-iteration-count: var(--fa-animation-iteration-count, infinite);
          animation-iteration-count: var(--fa-animation-iteration-count, infinite);
  -webkit-animation-timing-function: var(--fa-animation-timing, cubic-bezier(0.4, 0, 0.6, 1));
          animation-timing-function: var(--fa-animation-timing, cubic-bezier(0.4, 0, 0.6, 1));
}

.fa-flip {
  -webkit-animation-name: fa-flip;
          animation-name: fa-flip;
  -webkit-animation-delay: var(--fa-animation-delay, 0s);
          animation-delay: var(--fa-animation-delay, 0s);
  -webkit-animation-direction: var(--fa-animation-direction, normal);
          animation-direction: var(--fa-animation-direction, normal);
  -webkit-animation-duration: var(--fa-animation-duration, 1s);
          animation-duration: var(--fa-animation-duration, 1s);
  -webkit-animation-iteration-count: var(--fa-animation-iteration-count, infinite);
          animation-iteration-count: var(--fa-animation-iteration-count, infinite);
  -webkit-animation-timing-function: var(--fa-animation-timing, ease-in-out);
          animation-timing-function: var(--fa-animation-timing, ease-in-out);
}

.fa-shake {
  -webkit-animation-name: fa-shake;
          animation-name: fa-shake;
  -webkit-animation-delay: var(--fa-animation-delay, 0s);
          animation-delay: var(--fa-animation-delay, 0s);
  -webkit-animation-direction: var(--fa-animation-direction, normal);
          animation-direction: var(--fa-animation-direction, normal);
  -webkit-animation-duration: var(--fa-animation-duration, 1s);
          animation-duration: var(--fa-animation-duration, 1s);
  -webkit-animation-iteration-count: var(--fa-animation-iteration-count, infinite);
          animation-iteration-count: var(--fa-animation-iteration-count, infinite);
  -webkit-animation-timing-function: var(--fa-animation-timing, linear);
          animation-timing-function: var(--fa-animation-timing, linear);
}

.fa-spin {
  -webkit-animation-name: fa-spin;
          animation-name: fa-spin;
  -webkit-animation-delay: var(--fa-animation-delay, 0s);
          animation-delay: var(--fa-animation-delay, 0s);
  -webkit-animation-direction: var(--fa-animation-direction, normal);
          animation-direction: var(--fa-animation-direction, normal);
  -webkit-animation-duration: var(--fa-animation-duration, 2s);
          animation-duration: var(--fa-animation-duration, 2s);
  -webkit-animation-iteration-count: var(--fa-animation-iteration-count, infinite);
          animation-iteration-count: var(--fa-animation-iteration-count, infinite);
  -webkit-animation-timing-function: var(--fa-animation-timing, linear);
          animation-timing-function: var(--fa-animation-timing, linear);
}

.fa-spin-reverse {
  --fa-animation-direction: reverse;
}

.fa-pulse,
.fa-spin-pulse {
  -webkit-animation-name: fa-spin;
          animation-name: fa-spin;
  -webkit-animation-direction: var(--fa-animation-direction, normal);
          animation-direction: var(--fa-animation-direction, normal);
  -webkit-animation-duration: var(--fa-animation-duration, 1s);
          animation-duration: var(--fa-animation-duration, 1s);
  -webkit-animation-iteration-count: var(--fa-animation-iteration-count, infinite);
          animation-iteration-count: var(--fa-animation-iteration-count, infinite);
  -webkit-animation-timing-function: var(--fa-animation-timing, steps(8));
          animation-timing-function: var(--fa-animation-timing, steps(8));
}

@media (prefers-reduced-motion: reduce) {
  .fa-beat,
.fa-bounce,
.fa-fade,
.fa-beat-fade,
.fa-flip,
.fa-pulse,
.fa-shake,
.fa-spin,
.fa-spin-pulse {
    -webkit-animation-delay: -1ms;
            animation-delay: -1ms;
    -webkit-animation-duration: 1ms;
            animation-duration: 1ms;
    -webkit-animation-iteration-count: 1;
            animation-iteration-count: 1;
    -webkit-transition-delay: 0s;
            transition-delay: 0s;
    -webkit-transition-duration: 0s;
            transition-duration: 0s;
  }
}
@-webkit-keyframes fa-beat {
  0%, 90% {
    -webkit-transform: scale(1);
            transform: scale(1);
  }
  45% {
    -webkit-transform: scale(var(--fa-beat-scale, 1.25));
            transform: scale(var(--fa-beat-scale, 1.25));
  }
}
@keyframes fa-beat {
  0%, 90% {
    -webkit-transform: scale(1);
            transform: scale(1);
  }
  45% {
    -webkit-transform: scale(var(--fa-beat-scale, 1.25));
            transform: scale(var(--fa-beat-scale, 1.25));
  }
}
@-webkit-keyframes fa-bounce {
  0% {
    -webkit-transform: scale(1, 1) translateY(0);
            transform: scale(1, 1) translateY(0);
  }
  10% {
    -webkit-transform: scale(var(--fa-bounce-start-scale-x, 1.1), var(--fa-bounce-start-scale-y, 0.9)) translateY(0);
            transform: scale(var(--fa-bounce-start-scale-x, 1.1), var(--fa-bounce-start-scale-y, 0.9)) translateY(0);
  }
  30% {
    -webkit-transform: scale(var(--fa-bounce-jump-scale-x, 0.9), var(--fa-bounce-jump-scale-y, 1.1)) translateY(var(--fa-bounce-height, -0.5em));
            transform: scale(var(--fa-bounce-jump-scale-x, 0.9), var(--fa-bounce-jump-scale-y, 1.1)) translateY(var(--fa-bounce-height, -0.5em));
  }
  50% {
    -webkit-transform: scale(var(--fa-bounce-land-scale-x, 1.05), var(--fa-bounce-land-scale-y, 0.95)) translateY(0);
            transform: scale(var(--fa-bounce-land-scale-x, 1.05), var(--fa-bounce-land-scale-y, 0.95)) translateY(0);
  }
  57% {
    -webkit-transform: scale(1, 1) translateY(var(--fa-bounce-rebound, -0.125em));
            transform: scale(1, 1) translateY(var(--fa-bounce-rebound, -0.125em));
  }
  64% {
    -webkit-transform: scale(1, 1) translateY(0);
            transform: scale(1, 1) translateY(0);
  }
  100% {
    -webkit-transform: scale(1, 1) translateY(0);
            transform: scale(1, 1) translateY(0);
  }
}
@keyframes fa-bounce {
  0% {
    -webkit-transform: scale(1, 1) translateY(0);
            transform: scale(1, 1) translateY(0);
  }
  10% {
    -webkit-transform: scale(var(--fa-bounce-start-scale-x, 1.1), var(--fa-bounce-start-scale-y, 0.9)) translateY(0);
            transform: scale(var(--fa-bounce-start-scale-x, 1.1), var(--fa-bounce-start-scale-y, 0.9)) translateY(0);
  }
  30% {
    -webkit-transform: scale(var(--fa-bounce-jump-scale-x, 0.9), var(--fa-bounce-jump-scale-y, 1.1)) translateY(var(--fa-bounce-height, -0.5em));
            transform: scale(var(--fa-bounce-jump-scale-x, 0.9), var(--fa-bounce-jump-scale-y, 1.1)) translateY(var(--fa-bounce-height, -0.5em));
  }
  50% {
    -webkit-transform: scale(var(--fa-bounce-land-scale-x, 1.05), var(--fa-bounce-land-scale-y, 0.95)) translateY(0);
            transform: scale(var(--fa-bounce-land-scale-x, 1.05), var(--fa-bounce-land-scale-y, 0.95)) translateY(0);
  }
  57% {
    -webkit-transform: scale(1, 1) translateY(var(--fa-bounce-rebound, -0.125em));
            transform: scale(1, 1) translateY(var(--fa-bounce-rebound, -0.125em));
  }
  64% {
    -webkit-transform: scale(1, 1) translateY(0);
            transform: scale(1, 1) translateY(0);
  }
  100% {
    -webkit-transform: scale(1, 1) translateY(0);
            transform: scale(1, 1) translateY(0);
  }
}
@-webkit-keyframes fa-fade {
  50% {
    opacity: var(--fa-fade-opacity, 0.4);
  }
}
@keyframes fa-fade {
  50% {
    opacity: var(--fa-fade-opacity, 0.4);
  }
}
@-webkit-keyframes fa-beat-fade {
  0%, 100% {
    opacity: var(--fa-beat-fade-opacity, 0.4);
    -webkit-transform: scale(1);
            transform: scale(1);
  }
  50% {
    opacity: 1;
    -webkit-transform: scale(var(--fa-beat-fade-scale, 1.125));
            transform: scale(var(--fa-beat-fade-scale, 1.125));
  }
}
@keyframes fa-beat-fade {
  0%, 100% {
    opacity: var(--fa-beat-fade-opacity, 0.4);
    -webkit-transform: scale(1);
            transform: scale(1);
  }
  50% {
    opacity: 1;
    -webkit-transform: scale(var(--fa-beat-fade-scale, 1.125));
            transform: scale(var(--fa-beat-fade-scale, 1.125));
  }
}
@-webkit-keyframes fa-flip {
  50% {
    -webkit-transform: rotate3d(var(--fa-flip-x, 0), var(--fa-flip-y, 1), var(--fa-flip-z, 0), var(--fa-flip-angle, -180deg));
            transform: rotate3d(var(--fa-flip-x, 0), var(--fa-flip-y, 1), var(--fa-flip-z, 0), var(--fa-flip-angle, -180deg));
  }
}
@keyframes fa-flip {
  50% {
    -webkit-transform: rotate3d(var(--fa-flip-x, 0), var(--fa-flip-y, 1), var(--fa-flip-z, 0), var(--fa-flip-angle, -180deg));
            transform: rotate3d(var(--fa-flip-x, 0), var(--fa-flip-y, 1), var(--fa-flip-z, 0), var(--fa-flip-angle, -180deg));
  }
}
@-webkit-keyframes fa-shake {
  0% {
    -webkit-transform: rotate(-15deg);
            transform: rotate(-15deg);
  }
  4% {
    -webkit-transform: rotate(15deg);
            transform: rotate(15deg);
  }
  8%, 24% {
    -webkit-transform: rotate(-18deg);
            transform: rotate(-18deg);
  }
  12%, 28% {
    -webkit-transform: rotate(18deg);
            transform: rotate(18deg);
  }
  16% {
    -webkit-transform: rotate(-22deg);
            transform: rotate(-22deg);
  }
  20% {
    -webkit-transform: rotate(22deg);
            transform: rotate(22deg);
  }
  32% {
    -webkit-transform: rotate(-12deg);
            transform: rotate(-12deg);
  }
  36% {
    -webkit-transform: rotate(12deg);
            transform: rotate(12deg);
  }
  40%, 100% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
}
@keyframes fa-shake {
  0% {
    -webkit-transform: rotate(-15deg);
            transform: rotate(-15deg);
  }
  4% {
    -webkit-transform: rotate(15deg);
            transform: rotate(15deg);
  }
  8%, 24% {
    -webkit-transform: rotate(-18deg);
            transform: rotate(-18deg);
  }
  12%, 28% {
    -webkit-transform: rotate(18deg);
            transform: rotate(18deg);
  }
  16% {
    -webkit-transform: rotate(-22deg);
            transform: rotate(-22deg);
  }
  20% {
    -webkit-transform: rotate(22deg);
            transform: rotate(22deg);
  }
  32% {
    -webkit-transform: rotate(-12deg);
            transform: rotate(-12deg);
  }
  36% {
    -webkit-transform: rotate(12deg);
            transform: rotate(12deg);
  }
  40%, 100% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
}
@-webkit-keyframes fa-spin {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
  }
}
@keyframes fa-spin {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
  }
}
.fa-rotate-90 {
  -webkit-transform: rotate(90deg);
          transform: rotate(90deg);
}

.fa-rotate-180 {
  -webkit-transform: rotate(180deg);
          transform: rotate(180deg);
}

.fa-rotate-270 {
  -webkit-transform: rotate(270deg);
          transform: rotate(270deg);
}

.fa-flip-horizontal {
  -webkit-transform: scale(-1, 1);
          transform: scale(-1, 1);
}

.fa-flip-vertical {
  -webkit-transform: scale(1, -1);
          transform: scale(1, -1);
}

.fa-flip-both,
.fa-flip-horizontal.fa-flip-vertical {
  -webkit-transform: scale(-1, -1);
          transform: scale(-1, -1);
}

.fa-rotate-by {
  -webkit-transform: rotate(var(--fa-rotate-angle, none));
          transform: rotate(var(--fa-rotate-angle, none));
}

.fa-stack {
  display: inline-block;
  vertical-align: middle;
  height: 2em;
  position: relative;
  width: 2.5em;
}

.fa-stack-1x,
.fa-stack-2x {
  bottom: 0;
  left: 0;
  margin: auto;
  position: absolute;
  right: 0;
  top: 0;
  z-index: var(--fa-stack-z-index, auto);
}

.svg-inline--fa.fa-stack-1x {
  height: 1em;
  width: 1.25em;
}
.svg-inline--fa.fa-stack-2x {
  height: 2em;
  width: 2.5em;
}

.fa-inverse {
  color: var(--fa-inverse, #fff);
}

.sr-only,
.fa-sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border-width: 0;
}

.sr-only-focusable:not(:focus),
.fa-sr-only-focusable:not(:focus) {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border-width: 0;
}

.svg-inline--fa .fa-primary {
  fill: var(--fa-primary-color, currentColor);
  opacity: var(--fa-primary-opacity, 1);
}

.svg-inline--fa .fa-secondary {
  fill: var(--fa-secondary-color, currentColor);
  opacity: var(--fa-secondary-opacity, 0.4);
}

.svg-inline--fa.fa-swap-opacity .fa-primary {
  opacity: var(--fa-secondary-opacity, 0.4);
}

.svg-inline--fa.fa-swap-opacity .fa-secondary {
  opacity: var(--fa-primary-opacity, 1);
}

.svg-inline--fa mask .fa-primary,
.svg-inline--fa mask .fa-secondary {
  fill: black;
}

.fad.fa-inverse,
.fa-duotone.fa-inverse {
  color: var(--fa-inverse, #fff);
}`;
function vn() {
  var t = sn, e = ln, n = d.cssPrefix, a = d.replacementClass, r = ha;
  if (n !== t || a !== e) {
    var i = new RegExp("\\.".concat(t, "\\-"), "g"), o = new RegExp("\\--".concat(t, "\\-"), "g"), s = new RegExp("\\.".concat(e), "g");
    r = r.replace(i, ".".concat(n, "-")).replace(o, "--".concat(n, "-")).replace(s, ".".concat(a));
  }
  return r;
}
var Le = !1;
function Ht() {
  d.autoAddCss && !Le && (da(vn()), Le = !0);
}
var ya = {
  mixout: function() {
    return {
      dom: {
        css: vn,
        insertCss: Ht
      }
    };
  },
  hooks: function() {
    return {
      beforeDOMElementCreation: function() {
        Ht();
      },
      beforeI2svg: function() {
        Ht();
      }
    };
  }
}, W = K || {};
W[U] || (W[U] = {});
W[U].styles || (W[U].styles = {});
W[U].hooks || (W[U].hooks = {});
W[U].shims || (W[U].shims = []);
var z = W[U], pn = [], ka = function t() {
  k.removeEventListener("DOMContentLoaded", t), Mt = 1, pn.map(function(e) {
    return e();
  });
}, Mt = !1;
V && (Mt = (k.documentElement.doScroll ? /^loaded|^c/ : /^loaded|^i|^c/).test(k.readyState), Mt || k.addEventListener("DOMContentLoaded", ka));
function wa(t) {
  V && (Mt ? setTimeout(t, 0) : pn.push(t));
}
function wt(t) {
  var e = t.tag, n = t.attributes, a = n === void 0 ? {} : n, r = t.children, i = r === void 0 ? [] : r;
  return typeof t == "string" ? dn(t) : "<".concat(e, " ").concat(pa(a), ">").concat(i.map(wt).join(""), "</").concat(e, ">");
}
function $e(t, e, n) {
  if (t && t[e] && t[e][n])
    return {
      prefix: e,
      iconName: n,
      icon: t[e][n]
    };
}
var xa = function(e, n) {
  return function(a, r, i, o) {
    return e.call(n, a, r, i, o);
  };
}, Vt = function(e, n, a, r) {
  var i = Object.keys(e), o = i.length, s = r !== void 0 ? xa(n, r) : n, l, c, f;
  for (a === void 0 ? (l = 1, f = e[i[0]]) : (l = 0, f = a); l < o; l++)
    c = i[l], f = s(f, e[c], c, e);
  return f;
};
function Aa(t) {
  for (var e = [], n = 0, a = t.length; n < a; ) {
    var r = t.charCodeAt(n++);
    if (r >= 55296 && r <= 56319 && n < a) {
      var i = t.charCodeAt(n++);
      (i & 64512) == 56320 ? e.push(((r & 1023) << 10) + (i & 1023) + 65536) : (e.push(r), n--);
    } else
      e.push(r);
  }
  return e;
}
function Jt(t) {
  var e = Aa(t);
  return e.length === 1 ? e[0].toString(16) : null;
}
function Sa(t, e) {
  var n = t.length, a = t.charCodeAt(e), r;
  return a >= 55296 && a <= 56319 && n > e + 1 && (r = t.charCodeAt(e + 1), r >= 56320 && r <= 57343) ? (a - 55296) * 1024 + r - 56320 + 65536 : a;
}
function Me(t) {
  return Object.keys(t).reduce(function(e, n) {
    var a = t[n], r = !!a.icon;
    return r ? e[a.iconName] = a.icon : e[n] = a, e;
  }, {});
}
function te(t, e) {
  var n = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : {}, a = n.skipHooks, r = a === void 0 ? !1 : a, i = Me(e);
  typeof z.hooks.addPack == "function" && !r ? z.hooks.addPack(t, Me(e)) : z.styles[t] = m(m({}, z.styles[t] || {}), i), t === "fas" && te("fa", e);
}
var Et, Ct, Tt, rt = z.styles, Oa = z.shims, _a = (Et = {}, _(Et, y, Object.values(bt[y])), _(Et, x, Object.values(bt[x])), Et), be = null, bn = {}, gn = {}, hn = {}, yn = {}, kn = {}, Pa = (Ct = {}, _(Ct, y, Object.keys(vt[y])), _(Ct, x, Object.keys(vt[x])), Ct);
function Ea(t) {
  return ~la.indexOf(t);
}
function Ca(t, e) {
  var n = e.split("-"), a = n[0], r = n.slice(1).join("-");
  return a === t && r !== "" && !Ea(r) ? r : null;
}
var wn = function() {
  var e = function(i) {
    return Vt(rt, function(o, s, l) {
      return o[l] = Vt(s, i, {}), o;
    }, {});
  };
  bn = e(function(r, i, o) {
    if (i[3] && (r[i[3]] = o), i[2]) {
      var s = i[2].filter(function(l) {
        return typeof l == "number";
      });
      s.forEach(function(l) {
        r[l.toString(16)] = o;
      });
    }
    return r;
  }), gn = e(function(r, i, o) {
    if (r[o] = o, i[2]) {
      var s = i[2].filter(function(l) {
        return typeof l == "string";
      });
      s.forEach(function(l) {
        r[l] = o;
      });
    }
    return r;
  }), kn = e(function(r, i, o) {
    var s = i[2];
    return r[o] = o, s.forEach(function(l) {
      r[l] = o;
    }), r;
  });
  var n = "far" in rt || d.autoFetchSvg, a = Vt(Oa, function(r, i) {
    var o = i[0], s = i[1], l = i[2];
    return s === "far" && !n && (s = "fas"), typeof o == "string" && (r.names[o] = {
      prefix: s,
      iconName: l
    }), typeof o == "number" && (r.unicodes[o.toString(16)] = {
      prefix: s,
      iconName: l
    }), r;
  }, {
    names: {},
    unicodes: {}
  });
  hn = a.names, yn = a.unicodes, be = Dt(d.styleDefault, {
    family: d.familyDefault
  });
};
ma(function(t) {
  be = Dt(t.styleDefault, {
    family: d.familyDefault
  });
});
wn();
function ge(t, e) {
  return (bn[t] || {})[e];
}
function Ta(t, e) {
  return (gn[t] || {})[e];
}
function J(t, e) {
  return (kn[t] || {})[e];
}
function xn(t) {
  return hn[t] || {
    prefix: null,
    iconName: null
  };
}
function Ia(t) {
  var e = yn[t], n = ge("fas", t);
  return e || (n ? {
    prefix: "fas",
    iconName: n
  } : null) || {
    prefix: null,
    iconName: null
  };
}
function q() {
  return be;
}
var he = function() {
  return {
    prefix: null,
    iconName: null,
    rest: []
  };
};
function Dt(t) {
  var e = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, n = e.family, a = n === void 0 ? y : n, r = vt[a][t], i = pt[a][t] || pt[a][r], o = t in z.styles ? t : null;
  return i || o || null;
}
var ze = (Tt = {}, _(Tt, y, Object.keys(bt[y])), _(Tt, x, Object.keys(bt[x])), Tt);
function Bt(t) {
  var e, n = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, a = n.skipLookups, r = a === void 0 ? !1 : a, i = (e = {}, _(e, y, "".concat(d.cssPrefix, "-").concat(y)), _(e, x, "".concat(d.cssPrefix, "-").concat(x)), e), o = null, s = y;
  (t.includes(i[y]) || t.some(function(c) {
    return ze[y].includes(c);
  })) && (s = y), (t.includes(i[x]) || t.some(function(c) {
    return ze[x].includes(c);
  })) && (s = x);
  var l = t.reduce(function(c, f) {
    var u = Ca(d.cssPrefix, f);
    if (rt[f] ? (f = _a[s].includes(f) ? na[s][f] : f, o = f, c.prefix = f) : Pa[s].indexOf(f) > -1 ? (o = f, c.prefix = Dt(f, {
      family: s
    })) : u ? c.iconName = u : f !== d.replacementClass && f !== i[y] && f !== i[x] && c.rest.push(f), !r && c.prefix && c.iconName) {
      var b = o === "fa" ? xn(c.iconName) : {}, g = J(c.prefix, c.iconName);
      b.prefix && (o = null), c.iconName = b.iconName || g || c.iconName, c.prefix = b.prefix || c.prefix, c.prefix === "far" && !rt.far && rt.fas && !d.autoFetchSvg && (c.prefix = "fas");
    }
    return c;
  }, he());
  return (t.includes("fa-brands") || t.includes("fab")) && (l.prefix = "fab"), (t.includes("fa-duotone") || t.includes("fad")) && (l.prefix = "fad"), !l.prefix && s === x && (rt.fass || d.autoFetchSvg) && (l.prefix = "fass", l.iconName = J(l.prefix, l.iconName) || l.iconName), (l.prefix === "fa" || o === "fa") && (l.prefix = q() || "fas"), l;
}
var Na = /* @__PURE__ */ function() {
  function t() {
    Wn(this, t), this.definitions = {};
  }
  return Hn(t, [{
    key: "add",
    value: function() {
      for (var n = this, a = arguments.length, r = new Array(a), i = 0; i < a; i++)
        r[i] = arguments[i];
      var o = r.reduce(this._pullDefinitions, {});
      Object.keys(o).forEach(function(s) {
        n.definitions[s] = m(m({}, n.definitions[s] || {}), o[s]), te(s, o[s]);
        var l = bt[y][s];
        l && te(l, o[s]), wn();
      });
    }
  }, {
    key: "reset",
    value: function() {
      this.definitions = {};
    }
  }, {
    key: "_pullDefinitions",
    value: function(n, a) {
      var r = a.prefix && a.iconName && a.icon ? {
        0: a
      } : a;
      return Object.keys(r).map(function(i) {
        var o = r[i], s = o.prefix, l = o.iconName, c = o.icon, f = c[2];
        n[s] || (n[s] = {}), f.length > 0 && f.forEach(function(u) {
          typeof u == "string" && (n[s][u] = c);
        }), n[s][l] = c;
      }), n;
    }
  }]), t;
}(), Re = [], it = {}, ot = {}, La = Object.keys(ot);
function $a(t, e) {
  var n = e.mixoutsTo;
  return Re = t, it = {}, Object.keys(ot).forEach(function(a) {
    La.indexOf(a) === -1 && delete ot[a];
  }), Re.forEach(function(a) {
    var r = a.mixout ? a.mixout() : {};
    if (Object.keys(r).forEach(function(o) {
      typeof r[o] == "function" && (n[o] = r[o]), $t(r[o]) === "object" && Object.keys(r[o]).forEach(function(s) {
        n[o] || (n[o] = {}), n[o][s] = r[o][s];
      });
    }), a.hooks) {
      var i = a.hooks();
      Object.keys(i).forEach(function(o) {
        it[o] || (it[o] = []), it[o].push(i[o]);
      });
    }
    a.provides && a.provides(ot);
  }), n;
}
function ee(t, e) {
  for (var n = arguments.length, a = new Array(n > 2 ? n - 2 : 0), r = 2; r < n; r++)
    a[r - 2] = arguments[r];
  var i = it[t] || [];
  return i.forEach(function(o) {
    e = o.apply(null, [e].concat(a));
  }), e;
}
function nt(t) {
  for (var e = arguments.length, n = new Array(e > 1 ? e - 1 : 0), a = 1; a < e; a++)
    n[a - 1] = arguments[a];
  var r = it[t] || [];
  r.forEach(function(i) {
    i.apply(null, n);
  });
}
function H() {
  var t = arguments[0], e = Array.prototype.slice.call(arguments, 1);
  return ot[t] ? ot[t].apply(null, e) : void 0;
}
function ne(t) {
  t.prefix === "fa" && (t.prefix = "fas");
  var e = t.iconName, n = t.prefix || q();
  if (e)
    return e = J(n, e) || e, $e(An.definitions, n, e) || $e(z.styles, n, e);
}
var An = new Na(), Ma = function() {
  d.autoReplaceSvg = !1, d.observeMutations = !1, nt("noAuto");
}, za = {
  i2svg: function() {
    var e = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {};
    return V ? (nt("beforeI2svg", e), H("pseudoElements2svg", e), H("i2svg", e)) : Promise.reject("Operation requires a DOM of some kind.");
  },
  watch: function() {
    var e = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, n = e.autoReplaceSvgRoot;
    d.autoReplaceSvg === !1 && (d.autoReplaceSvg = !0), d.observeMutations = !0, wa(function() {
      Fa({
        autoReplaceSvgRoot: n
      }), nt("watch", e);
    });
  }
}, Ra = {
  icon: function(e) {
    if (e === null)
      return null;
    if ($t(e) === "object" && e.prefix && e.iconName)
      return {
        prefix: e.prefix,
        iconName: J(e.prefix, e.iconName) || e.iconName
      };
    if (Array.isArray(e) && e.length === 2) {
      var n = e[1].indexOf("fa-") === 0 ? e[1].slice(3) : e[1], a = Dt(e[0]);
      return {
        prefix: a,
        iconName: J(a, n) || n
      };
    }
    if (typeof e == "string" && (e.indexOf("".concat(d.cssPrefix, "-")) > -1 || e.match(aa))) {
      var r = Bt(e.split(" "), {
        skipLookups: !0
      });
      return {
        prefix: r.prefix || q(),
        iconName: J(r.prefix, r.iconName) || r.iconName
      };
    }
    if (typeof e == "string") {
      var i = q();
      return {
        prefix: i,
        iconName: J(i, e) || e
      };
    }
  }
}, L = {
  noAuto: Ma,
  config: d,
  dom: za,
  parse: Ra,
  library: An,
  findIconDefinition: ne,
  toHtml: wt
}, Fa = function() {
  var e = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, n = e.autoReplaceSvgRoot, a = n === void 0 ? k : n;
  (Object.keys(z.styles).length > 0 || d.autoFetchSvg) && V && d.autoReplaceSvg && L.dom.i2svg({
    node: a
  });
};
function Yt(t, e) {
  return Object.defineProperty(t, "abstract", {
    get: e
  }), Object.defineProperty(t, "html", {
    get: function() {
      return t.abstract.map(function(a) {
        return wt(a);
      });
    }
  }), Object.defineProperty(t, "node", {
    get: function() {
      if (V) {
        var a = k.createElement("div");
        return a.innerHTML = t.html, a.children;
      }
    }
  }), t;
}
function ja(t) {
  var e = t.children, n = t.main, a = t.mask, r = t.attributes, i = t.styles, o = t.transform;
  if (pe(o) && n.found && !a.found) {
    var s = n.width, l = n.height, c = {
      x: s / l / 2,
      y: 0.5
    };
    r.style = jt(m(m({}, i), {}, {
      "transform-origin": "".concat(c.x + o.x / 16, "em ").concat(c.y + o.y / 16, "em")
    }));
  }
  return [{
    tag: "svg",
    attributes: r,
    children: e
  }];
}
function Da(t) {
  var e = t.prefix, n = t.iconName, a = t.children, r = t.attributes, i = t.symbol, o = i === !0 ? "".concat(e, "-").concat(d.cssPrefix, "-").concat(n) : i;
  return [{
    tag: "svg",
    attributes: {
      style: "display: none;"
    },
    children: [{
      tag: "symbol",
      attributes: m(m({}, r), {}, {
        id: o
      }),
      children: a
    }]
  }];
}
function ye(t) {
  var e = t.icons, n = e.main, a = e.mask, r = t.prefix, i = t.iconName, o = t.transform, s = t.symbol, l = t.title, c = t.maskId, f = t.titleId, u = t.extra, b = t.watchable, g = b === void 0 ? !1 : b, P = a.found ? a : n, E = P.width, I = P.height, v = r === "fak", p = [d.replacementClass, i ? "".concat(d.cssPrefix, "-").concat(i) : ""].filter(function(G) {
    return u.classes.indexOf(G) === -1;
  }).filter(function(G) {
    return G !== "" || !!G;
  }).concat(u.classes).join(" "), h = {
    children: [],
    attributes: m(m({}, u.attributes), {}, {
      "data-prefix": r,
      "data-icon": i,
      class: p,
      role: u.attributes.role || "img",
      xmlns: "http://www.w3.org/2000/svg",
      viewBox: "0 0 ".concat(E, " ").concat(I)
    })
  }, S = v && !~u.classes.indexOf("fa-fw") ? {
    width: "".concat(E / I * 16 * 0.0625, "em")
  } : {};
  g && (h.attributes[et] = ""), l && (h.children.push({
    tag: "title",
    attributes: {
      id: h.attributes["aria-labelledby"] || "title-".concat(f || ht())
    },
    children: [l]
  }), delete h.attributes.title);
  var O = m(m({}, h), {}, {
    prefix: r,
    iconName: i,
    main: n,
    mask: a,
    maskId: c,
    transform: o,
    symbol: s,
    styles: m(m({}, S), u.styles)
  }), D = a.found && n.found ? H("generateAbstractMask", O) || {
    children: [],
    attributes: {}
  } : H("generateAbstractIcon", O) || {
    children: [],
    attributes: {}
  }, $ = D.children, Ut = D.attributes;
  return O.children = $, O.attributes = Ut, s ? Da(O) : ja(O);
}
function Fe(t) {
  var e = t.content, n = t.width, a = t.height, r = t.transform, i = t.title, o = t.extra, s = t.watchable, l = s === void 0 ? !1 : s, c = m(m(m({}, o.attributes), i ? {
    title: i
  } : {}), {}, {
    class: o.classes.join(" ")
  });
  l && (c[et] = "");
  var f = m({}, o.styles);
  pe(r) && (f.transform = ga({
    transform: r,
    startCentered: !0,
    width: n,
    height: a
  }), f["-webkit-transform"] = f.transform);
  var u = jt(f);
  u.length > 0 && (c.style = u);
  var b = [];
  return b.push({
    tag: "span",
    attributes: c,
    children: [e]
  }), i && b.push({
    tag: "span",
    attributes: {
      class: "sr-only"
    },
    children: [i]
  }), b;
}
function Ba(t) {
  var e = t.content, n = t.title, a = t.extra, r = m(m(m({}, a.attributes), n ? {
    title: n
  } : {}), {}, {
    class: a.classes.join(" ")
  }), i = jt(a.styles);
  i.length > 0 && (r.style = i);
  var o = [];
  return o.push({
    tag: "span",
    attributes: r,
    children: [e]
  }), n && o.push({
    tag: "span",
    attributes: {
      class: "sr-only"
    },
    children: [n]
  }), o;
}
var Gt = z.styles;
function ae(t) {
  var e = t[0], n = t[1], a = t.slice(4), r = fe(a, 1), i = r[0], o = null;
  return Array.isArray(i) ? o = {
    tag: "g",
    attributes: {
      class: "".concat(d.cssPrefix, "-").concat(Z.GROUP)
    },
    children: [{
      tag: "path",
      attributes: {
        class: "".concat(d.cssPrefix, "-").concat(Z.SECONDARY),
        fill: "currentColor",
        d: i[0]
      }
    }, {
      tag: "path",
      attributes: {
        class: "".concat(d.cssPrefix, "-").concat(Z.PRIMARY),
        fill: "currentColor",
        d: i[1]
      }
    }]
  } : o = {
    tag: "path",
    attributes: {
      fill: "currentColor",
      d: i
    }
  }, {
    found: !0,
    width: e,
    height: n,
    icon: o
  };
}
var Ya = {
  found: !1,
  width: 512,
  height: 512
};
function Ua(t, e) {
  !fn && !d.showMissingIcons && t && console.error('Icon with name "'.concat(t, '" and prefix "').concat(e, '" is missing.'));
}
function re(t, e) {
  var n = e;
  return e === "fa" && d.styleDefault !== null && (e = q()), new Promise(function(a, r) {
    if (H("missingIconAbstract"), n === "fa") {
      var i = xn(t) || {};
      t = i.iconName || t, e = i.prefix || e;
    }
    if (t && e && Gt[e] && Gt[e][t]) {
      var o = Gt[e][t];
      return a(ae(o));
    }
    Ua(t, e), a(m(m({}, Ya), {}, {
      icon: d.showMissingIcons && t ? H("missingIconAbstract") || {} : {}
    }));
  });
}
var je = function() {
}, ie = d.measurePerformance && xt && xt.mark && xt.measure ? xt : {
  mark: je,
  measure: je
}, ft = 'FA "6.5.1"', Wa = function(e) {
  return ie.mark("".concat(ft, " ").concat(e, " begins")), function() {
    return Sn(e);
  };
}, Sn = function(e) {
  ie.mark("".concat(ft, " ").concat(e, " ends")), ie.measure("".concat(ft, " ").concat(e), "".concat(ft, " ").concat(e, " begins"), "".concat(ft, " ").concat(e, " ends"));
}, ke = {
  begin: Wa,
  end: Sn
}, Nt = function() {
};
function De(t) {
  var e = t.getAttribute ? t.getAttribute(et) : null;
  return typeof e == "string";
}
function Ha(t) {
  var e = t.getAttribute ? t.getAttribute(ce) : null, n = t.getAttribute ? t.getAttribute(me) : null;
  return e && n;
}
function Va(t) {
  return t && t.classList && t.classList.contains && t.classList.contains(d.replacementClass);
}
function Ga() {
  if (d.autoReplaceSvg === !0)
    return Lt.replace;
  var t = Lt[d.autoReplaceSvg];
  return t || Lt.replace;
}
function Xa(t) {
  return k.createElementNS("http://www.w3.org/2000/svg", t);
}
function Ka(t) {
  return k.createElement(t);
}
function On(t) {
  var e = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, n = e.ceFn, a = n === void 0 ? t.tag === "svg" ? Xa : Ka : n;
  if (typeof t == "string")
    return k.createTextNode(t);
  var r = a(t.tag);
  Object.keys(t.attributes || []).forEach(function(o) {
    r.setAttribute(o, t.attributes[o]);
  });
  var i = t.children || [];
  return i.forEach(function(o) {
    r.appendChild(On(o, {
      ceFn: a
    }));
  }), r;
}
function qa(t) {
  var e = " ".concat(t.outerHTML, " ");
  return e = "".concat(e, "Font Awesome fontawesome.com "), e;
}
var Lt = {
  replace: function(e) {
    var n = e[0];
    if (n.parentNode)
      if (e[1].forEach(function(r) {
        n.parentNode.insertBefore(On(r), n);
      }), n.getAttribute(et) === null && d.keepOriginalSource) {
        var a = k.createComment(qa(n));
        n.parentNode.replaceChild(a, n);
      } else
        n.remove();
  },
  nest: function(e) {
    var n = e[0], a = e[1];
    if (~ve(n).indexOf(d.replacementClass))
      return Lt.replace(e);
    var r = new RegExp("".concat(d.cssPrefix, "-.*"));
    if (delete a[0].attributes.id, a[0].attributes.class) {
      var i = a[0].attributes.class.split(" ").reduce(function(s, l) {
        return l === d.replacementClass || l.match(r) ? s.toSvg.push(l) : s.toNode.push(l), s;
      }, {
        toNode: [],
        toSvg: []
      });
      a[0].attributes.class = i.toSvg.join(" "), i.toNode.length === 0 ? n.removeAttribute("class") : n.setAttribute("class", i.toNode.join(" "));
    }
    var o = a.map(function(s) {
      return wt(s);
    }).join(`
`);
    n.setAttribute(et, ""), n.innerHTML = o;
  }
};
function Be(t) {
  t();
}
function _n(t, e) {
  var n = typeof e == "function" ? e : Nt;
  if (t.length === 0)
    n();
  else {
    var a = Be;
    d.mutateApproach === ta && (a = K.requestAnimationFrame || Be), a(function() {
      var r = Ga(), i = ke.begin("mutate");
      t.map(r), i(), n();
    });
  }
}
var we = !1;
function Pn() {
  we = !0;
}
function oe() {
  we = !1;
}
var zt = null;
function Ye(t) {
  if (Ie && d.observeMutations) {
    var e = t.treeCallback, n = e === void 0 ? Nt : e, a = t.nodeCallback, r = a === void 0 ? Nt : a, i = t.pseudoElementsCallback, o = i === void 0 ? Nt : i, s = t.observeMutationsRoot, l = s === void 0 ? k : s;
    zt = new Ie(function(c) {
      if (!we) {
        var f = q();
        lt(c).forEach(function(u) {
          if (u.type === "childList" && u.addedNodes.length > 0 && !De(u.addedNodes[0]) && (d.searchPseudoElements && o(u.target), n(u.target)), u.type === "attributes" && u.target.parentNode && d.searchPseudoElements && o(u.target.parentNode), u.type === "attributes" && De(u.target) && ~sa.indexOf(u.attributeName))
            if (u.attributeName === "class" && Ha(u.target)) {
              var b = Bt(ve(u.target)), g = b.prefix, P = b.iconName;
              u.target.setAttribute(ce, g || f), P && u.target.setAttribute(me, P);
            } else
              Va(u.target) && r(u.target);
        });
      }
    }), V && zt.observe(l, {
      childList: !0,
      attributes: !0,
      characterData: !0,
      subtree: !0
    });
  }
}
function Qa() {
  zt && zt.disconnect();
}
function Za(t) {
  var e = t.getAttribute("style"), n = [];
  return e && (n = e.split(";").reduce(function(a, r) {
    var i = r.split(":"), o = i[0], s = i.slice(1);
    return o && s.length > 0 && (a[o] = s.join(":").trim()), a;
  }, {})), n;
}
function Ja(t) {
  var e = t.getAttribute("data-prefix"), n = t.getAttribute("data-icon"), a = t.innerText !== void 0 ? t.innerText.trim() : "", r = Bt(ve(t));
  return r.prefix || (r.prefix = q()), e && n && (r.prefix = e, r.iconName = n), r.iconName && r.prefix || (r.prefix && a.length > 0 && (r.iconName = Ta(r.prefix, t.innerText) || ge(r.prefix, Jt(t.innerText))), !r.iconName && d.autoFetchSvg && t.firstChild && t.firstChild.nodeType === Node.TEXT_NODE && (r.iconName = t.firstChild.data)), r;
}
function tr(t) {
  var e = lt(t.attributes).reduce(function(r, i) {
    return r.name !== "class" && r.name !== "style" && (r[i.name] = i.value), r;
  }, {}), n = t.getAttribute("title"), a = t.getAttribute("data-fa-title-id");
  return d.autoA11y && (n ? e["aria-labelledby"] = "".concat(d.replacementClass, "-title-").concat(a || ht()) : (e["aria-hidden"] = "true", e.focusable = "false")), e;
}
function er() {
  return {
    iconName: null,
    title: null,
    titleId: null,
    prefix: null,
    transform: B,
    symbol: !1,
    mask: {
      iconName: null,
      prefix: null,
      rest: []
    },
    maskId: null,
    extra: {
      classes: [],
      styles: {},
      attributes: {}
    }
  };
}
function Ue(t) {
  var e = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {
    styleParser: !0
  }, n = Ja(t), a = n.iconName, r = n.prefix, i = n.rest, o = tr(t), s = ee("parseNodeAttributes", {}, t), l = e.styleParser ? Za(t) : [];
  return m({
    iconName: a,
    title: t.getAttribute("title"),
    titleId: t.getAttribute("data-fa-title-id"),
    prefix: r,
    transform: B,
    mask: {
      iconName: null,
      prefix: null,
      rest: []
    },
    maskId: null,
    symbol: !1,
    extra: {
      classes: i,
      styles: l,
      attributes: o
    }
  }, s);
}
var nr = z.styles;
function En(t) {
  var e = d.autoReplaceSvg === "nest" ? Ue(t, {
    styleParser: !1
  }) : Ue(t);
  return ~e.extra.classes.indexOf(un) ? H("generateLayersText", t, e) : H("generateSvgReplacementMutation", t, e);
}
var Q = /* @__PURE__ */ new Set();
de.map(function(t) {
  Q.add("fa-".concat(t));
});
Object.keys(vt[y]).map(Q.add.bind(Q));
Object.keys(vt[x]).map(Q.add.bind(Q));
Q = yt(Q);
function We(t) {
  var e = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : null;
  if (!V)
    return Promise.resolve();
  var n = k.documentElement.classList, a = function(u) {
    return n.add("".concat(Ne, "-").concat(u));
  }, r = function(u) {
    return n.remove("".concat(Ne, "-").concat(u));
  }, i = d.autoFetchSvg ? Q : de.map(function(f) {
    return "fa-".concat(f);
  }).concat(Object.keys(nr));
  i.includes("fa") || i.push("fa");
  var o = [".".concat(un, ":not([").concat(et, "])")].concat(i.map(function(f) {
    return ".".concat(f, ":not([").concat(et, "])");
  })).join(", ");
  if (o.length === 0)
    return Promise.resolve();
  var s = [];
  try {
    s = lt(t.querySelectorAll(o));
  } catch {
  }
  if (s.length > 0)
    a("pending"), r("complete");
  else
    return Promise.resolve();
  var l = ke.begin("onTree"), c = s.reduce(function(f, u) {
    try {
      var b = En(u);
      b && f.push(b);
    } catch (g) {
      fn || g.name === "MissingIcon" && console.error(g);
    }
    return f;
  }, []);
  return new Promise(function(f, u) {
    Promise.all(c).then(function(b) {
      _n(b, function() {
        a("active"), a("complete"), r("pending"), typeof e == "function" && e(), l(), f();
      });
    }).catch(function(b) {
      l(), u(b);
    });
  });
}
function ar(t) {
  var e = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : null;
  En(t).then(function(n) {
    n && _n([n], e);
  });
}
function rr(t) {
  return function(e) {
    var n = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, a = (e || {}).icon ? e : ne(e || {}), r = n.mask;
    return r && (r = (r || {}).icon ? r : ne(r || {})), t(a, m(m({}, n), {}, {
      mask: r
    }));
  };
}
var ir = function(e) {
  var n = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, a = n.transform, r = a === void 0 ? B : a, i = n.symbol, o = i === void 0 ? !1 : i, s = n.mask, l = s === void 0 ? null : s, c = n.maskId, f = c === void 0 ? null : c, u = n.title, b = u === void 0 ? null : u, g = n.titleId, P = g === void 0 ? null : g, E = n.classes, I = E === void 0 ? [] : E, v = n.attributes, p = v === void 0 ? {} : v, h = n.styles, S = h === void 0 ? {} : h;
  if (e) {
    var O = e.prefix, D = e.iconName, $ = e.icon;
    return Yt(m({
      type: "icon"
    }, e), function() {
      return nt("beforeDOMElementCreation", {
        iconDefinition: e,
        params: n
      }), d.autoA11y && (b ? p["aria-labelledby"] = "".concat(d.replacementClass, "-title-").concat(P || ht()) : (p["aria-hidden"] = "true", p.focusable = "false")), ye({
        icons: {
          main: ae($),
          mask: l ? ae(l.icon) : {
            found: !1,
            width: null,
            height: null,
            icon: {}
          }
        },
        prefix: O,
        iconName: D,
        transform: m(m({}, B), r),
        symbol: o,
        title: b,
        maskId: f,
        titleId: P,
        extra: {
          attributes: p,
          styles: S,
          classes: I
        }
      });
    });
  }
}, or = {
  mixout: function() {
    return {
      icon: rr(ir)
    };
  },
  hooks: function() {
    return {
      mutationObserverCallbacks: function(n) {
        return n.treeCallback = We, n.nodeCallback = ar, n;
      }
    };
  },
  provides: function(e) {
    e.i2svg = function(n) {
      var a = n.node, r = a === void 0 ? k : a, i = n.callback, o = i === void 0 ? function() {
      } : i;
      return We(r, o);
    }, e.generateSvgReplacementMutation = function(n, a) {
      var r = a.iconName, i = a.title, o = a.titleId, s = a.prefix, l = a.transform, c = a.symbol, f = a.mask, u = a.maskId, b = a.extra;
      return new Promise(function(g, P) {
        Promise.all([re(r, s), f.iconName ? re(f.iconName, f.prefix) : Promise.resolve({
          found: !1,
          width: 512,
          height: 512,
          icon: {}
        })]).then(function(E) {
          var I = fe(E, 2), v = I[0], p = I[1];
          g([n, ye({
            icons: {
              main: v,
              mask: p
            },
            prefix: s,
            iconName: r,
            transform: l,
            symbol: c,
            maskId: u,
            title: i,
            titleId: o,
            extra: b,
            watchable: !0
          })]);
        }).catch(P);
      });
    }, e.generateAbstractIcon = function(n) {
      var a = n.children, r = n.attributes, i = n.main, o = n.transform, s = n.styles, l = jt(s);
      l.length > 0 && (r.style = l);
      var c;
      return pe(o) && (c = H("generateAbstractTransformGrouping", {
        main: i,
        transform: o,
        containerWidth: i.width,
        iconWidth: i.width
      })), a.push(c || i.icon), {
        children: a,
        attributes: r
      };
    };
  }
}, sr = {
  mixout: function() {
    return {
      layer: function(n) {
        var a = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, r = a.classes, i = r === void 0 ? [] : r;
        return Yt({
          type: "layer"
        }, function() {
          nt("beforeDOMElementCreation", {
            assembler: n,
            params: a
          });
          var o = [];
          return n(function(s) {
            Array.isArray(s) ? s.map(function(l) {
              o = o.concat(l.abstract);
            }) : o = o.concat(s.abstract);
          }), [{
            tag: "span",
            attributes: {
              class: ["".concat(d.cssPrefix, "-layers")].concat(yt(i)).join(" ")
            },
            children: o
          }];
        });
      }
    };
  }
}, lr = {
  mixout: function() {
    return {
      counter: function(n) {
        var a = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, r = a.title, i = r === void 0 ? null : r, o = a.classes, s = o === void 0 ? [] : o, l = a.attributes, c = l === void 0 ? {} : l, f = a.styles, u = f === void 0 ? {} : f;
        return Yt({
          type: "counter",
          content: n
        }, function() {
          return nt("beforeDOMElementCreation", {
            content: n,
            params: a
          }), Ba({
            content: n.toString(),
            title: i,
            extra: {
              attributes: c,
              styles: u,
              classes: ["".concat(d.cssPrefix, "-layers-counter")].concat(yt(s))
            }
          });
        });
      }
    };
  }
}, fr = {
  mixout: function() {
    return {
      text: function(n) {
        var a = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, r = a.transform, i = r === void 0 ? B : r, o = a.title, s = o === void 0 ? null : o, l = a.classes, c = l === void 0 ? [] : l, f = a.attributes, u = f === void 0 ? {} : f, b = a.styles, g = b === void 0 ? {} : b;
        return Yt({
          type: "text",
          content: n
        }, function() {
          return nt("beforeDOMElementCreation", {
            content: n,
            params: a
          }), Fe({
            content: n,
            transform: m(m({}, B), i),
            title: s,
            extra: {
              attributes: u,
              styles: g,
              classes: ["".concat(d.cssPrefix, "-layers-text")].concat(yt(c))
            }
          });
        });
      }
    };
  },
  provides: function(e) {
    e.generateLayersText = function(n, a) {
      var r = a.title, i = a.transform, o = a.extra, s = null, l = null;
      if (on) {
        var c = parseInt(getComputedStyle(n).fontSize, 10), f = n.getBoundingClientRect();
        s = f.width / c, l = f.height / c;
      }
      return d.autoA11y && !r && (o.attributes["aria-hidden"] = "true"), Promise.resolve([n, Fe({
        content: n.innerHTML,
        width: s,
        height: l,
        transform: i,
        title: r,
        extra: o,
        watchable: !0
      })]);
    };
  }
}, ur = new RegExp('"', "ug"), He = [1105920, 1112319];
function cr(t) {
  var e = t.replace(ur, ""), n = Sa(e, 0), a = n >= He[0] && n <= He[1], r = e.length === 2 ? e[0] === e[1] : !1;
  return {
    value: Jt(r ? e[0] : e),
    isSecondary: a || r
  };
}
function Ve(t, e) {
  var n = "".concat(Jn).concat(e.replace(":", "-"));
  return new Promise(function(a, r) {
    if (t.getAttribute(n) !== null)
      return a();
    var i = lt(t.children), o = i.filter(function($) {
      return $.getAttribute(Zt) === e;
    })[0], s = K.getComputedStyle(t, e), l = s.getPropertyValue("font-family").match(ra), c = s.getPropertyValue("font-weight"), f = s.getPropertyValue("content");
    if (o && !l)
      return t.removeChild(o), a();
    if (l && f !== "none" && f !== "") {
      var u = s.getPropertyValue("content"), b = ~["Sharp"].indexOf(l[2]) ? x : y, g = ~["Solid", "Regular", "Light", "Thin", "Duotone", "Brands", "Kit"].indexOf(l[2]) ? pt[b][l[2].toLowerCase()] : ia[b][c], P = cr(u), E = P.value, I = P.isSecondary, v = l[0].startsWith("FontAwesome"), p = ge(g, E), h = p;
      if (v) {
        var S = Ia(E);
        S.iconName && S.prefix && (p = S.iconName, g = S.prefix);
      }
      if (p && !I && (!o || o.getAttribute(ce) !== g || o.getAttribute(me) !== h)) {
        t.setAttribute(n, h), o && t.removeChild(o);
        var O = er(), D = O.extra;
        D.attributes[Zt] = e, re(p, g).then(function($) {
          var Ut = ye(m(m({}, O), {}, {
            icons: {
              main: $,
              mask: he()
            },
            prefix: g,
            iconName: h,
            extra: D,
            watchable: !0
          })), G = k.createElementNS("http://www.w3.org/2000/svg", "svg");
          e === "::before" ? t.insertBefore(G, t.firstChild) : t.appendChild(G), G.outerHTML = Ut.map(function(Mn) {
            return wt(Mn);
          }).join(`
`), t.removeAttribute(n), a();
        }).catch(r);
      } else
        a();
    } else
      a();
  });
}
function mr(t) {
  return Promise.all([Ve(t, "::before"), Ve(t, "::after")]);
}
function dr(t) {
  return t.parentNode !== document.head && !~ea.indexOf(t.tagName.toUpperCase()) && !t.getAttribute(Zt) && (!t.parentNode || t.parentNode.tagName !== "svg");
}
function Ge(t) {
  if (V)
    return new Promise(function(e, n) {
      var a = lt(t.querySelectorAll("*")).filter(dr).map(mr), r = ke.begin("searchPseudoElements");
      Pn(), Promise.all(a).then(function() {
        r(), oe(), e();
      }).catch(function() {
        r(), oe(), n();
      });
    });
}
var vr = {
  hooks: function() {
    return {
      mutationObserverCallbacks: function(n) {
        return n.pseudoElementsCallback = Ge, n;
      }
    };
  },
  provides: function(e) {
    e.pseudoElements2svg = function(n) {
      var a = n.node, r = a === void 0 ? k : a;
      d.searchPseudoElements && Ge(r);
    };
  }
}, Xe = !1, pr = {
  mixout: function() {
    return {
      dom: {
        unwatch: function() {
          Pn(), Xe = !0;
        }
      }
    };
  },
  hooks: function() {
    return {
      bootstrap: function() {
        Ye(ee("mutationObserverCallbacks", {}));
      },
      noAuto: function() {
        Qa();
      },
      watch: function(n) {
        var a = n.observeMutationsRoot;
        Xe ? oe() : Ye(ee("mutationObserverCallbacks", {
          observeMutationsRoot: a
        }));
      }
    };
  }
}, Ke = function(e) {
  var n = {
    size: 16,
    x: 0,
    y: 0,
    flipX: !1,
    flipY: !1,
    rotate: 0
  };
  return e.toLowerCase().split(" ").reduce(function(a, r) {
    var i = r.toLowerCase().split("-"), o = i[0], s = i.slice(1).join("-");
    if (o && s === "h")
      return a.flipX = !0, a;
    if (o && s === "v")
      return a.flipY = !0, a;
    if (s = parseFloat(s), isNaN(s))
      return a;
    switch (o) {
      case "grow":
        a.size = a.size + s;
        break;
      case "shrink":
        a.size = a.size - s;
        break;
      case "left":
        a.x = a.x - s;
        break;
      case "right":
        a.x = a.x + s;
        break;
      case "up":
        a.y = a.y - s;
        break;
      case "down":
        a.y = a.y + s;
        break;
      case "rotate":
        a.rotate = a.rotate + s;
        break;
    }
    return a;
  }, n);
}, br = {
  mixout: function() {
    return {
      parse: {
        transform: function(n) {
          return Ke(n);
        }
      }
    };
  },
  hooks: function() {
    return {
      parseNodeAttributes: function(n, a) {
        var r = a.getAttribute("data-fa-transform");
        return r && (n.transform = Ke(r)), n;
      }
    };
  },
  provides: function(e) {
    e.generateAbstractTransformGrouping = function(n) {
      var a = n.main, r = n.transform, i = n.containerWidth, o = n.iconWidth, s = {
        transform: "translate(".concat(i / 2, " 256)")
      }, l = "translate(".concat(r.x * 32, ", ").concat(r.y * 32, ") "), c = "scale(".concat(r.size / 16 * (r.flipX ? -1 : 1), ", ").concat(r.size / 16 * (r.flipY ? -1 : 1), ") "), f = "rotate(".concat(r.rotate, " 0 0)"), u = {
        transform: "".concat(l, " ").concat(c, " ").concat(f)
      }, b = {
        transform: "translate(".concat(o / 2 * -1, " -256)")
      }, g = {
        outer: s,
        inner: u,
        path: b
      };
      return {
        tag: "g",
        attributes: m({}, g.outer),
        children: [{
          tag: "g",
          attributes: m({}, g.inner),
          children: [{
            tag: a.icon.tag,
            children: a.icon.children,
            attributes: m(m({}, a.icon.attributes), g.path)
          }]
        }]
      };
    };
  }
}, Xt = {
  x: 0,
  y: 0,
  width: "100%",
  height: "100%"
};
function qe(t) {
  var e = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : !0;
  return t.attributes && (t.attributes.fill || e) && (t.attributes.fill = "black"), t;
}
function gr(t) {
  return t.tag === "g" ? t.children : [t];
}
var hr = {
  hooks: function() {
    return {
      parseNodeAttributes: function(n, a) {
        var r = a.getAttribute("data-fa-mask"), i = r ? Bt(r.split(" ").map(function(o) {
          return o.trim();
        })) : he();
        return i.prefix || (i.prefix = q()), n.mask = i, n.maskId = a.getAttribute("data-fa-mask-id"), n;
      }
    };
  },
  provides: function(e) {
    e.generateAbstractMask = function(n) {
      var a = n.children, r = n.attributes, i = n.main, o = n.mask, s = n.maskId, l = n.transform, c = i.width, f = i.icon, u = o.width, b = o.icon, g = ba({
        transform: l,
        containerWidth: u,
        iconWidth: c
      }), P = {
        tag: "rect",
        attributes: m(m({}, Xt), {}, {
          fill: "white"
        })
      }, E = f.children ? {
        children: f.children.map(qe)
      } : {}, I = {
        tag: "g",
        attributes: m({}, g.inner),
        children: [qe(m({
          tag: f.tag,
          attributes: m(m({}, f.attributes), g.path)
        }, E))]
      }, v = {
        tag: "g",
        attributes: m({}, g.outer),
        children: [I]
      }, p = "mask-".concat(s || ht()), h = "clip-".concat(s || ht()), S = {
        tag: "mask",
        attributes: m(m({}, Xt), {}, {
          id: p,
          maskUnits: "userSpaceOnUse",
          maskContentUnits: "userSpaceOnUse"
        }),
        children: [P, v]
      }, O = {
        tag: "defs",
        children: [{
          tag: "clipPath",
          attributes: {
            id: h
          },
          children: gr(b)
        }, S]
      };
      return a.push(O, {
        tag: "rect",
        attributes: m({
          fill: "currentColor",
          "clip-path": "url(#".concat(h, ")"),
          mask: "url(#".concat(p, ")")
        }, Xt)
      }), {
        children: a,
        attributes: r
      };
    };
  }
}, yr = {
  provides: function(e) {
    var n = !1;
    K.matchMedia && (n = K.matchMedia("(prefers-reduced-motion: reduce)").matches), e.missingIconAbstract = function() {
      var a = [], r = {
        fill: "currentColor"
      }, i = {
        attributeType: "XML",
        repeatCount: "indefinite",
        dur: "2s"
      };
      a.push({
        tag: "path",
        attributes: m(m({}, r), {}, {
          d: "M156.5,447.7l-12.6,29.5c-18.7-9.5-35.9-21.2-51.5-34.9l22.7-22.7C127.6,430.5,141.5,440,156.5,447.7z M40.6,272H8.5 c1.4,21.2,5.4,41.7,11.7,61.1L50,321.2C45.1,305.5,41.8,289,40.6,272z M40.6,240c1.4-18.8,5.2-37,11.1-54.1l-29.5-12.6 C14.7,194.3,10,216.7,8.5,240H40.6z M64.3,156.5c7.8-14.9,17.2-28.8,28.1-41.5L69.7,92.3c-13.7,15.6-25.5,32.8-34.9,51.5 L64.3,156.5z M397,419.6c-13.9,12-29.4,22.3-46.1,30.4l11.9,29.8c20.7-9.9,39.8-22.6,56.9-37.6L397,419.6z M115,92.4 c13.9-12,29.4-22.3,46.1-30.4l-11.9-29.8c-20.7,9.9-39.8,22.6-56.8,37.6L115,92.4z M447.7,355.5c-7.8,14.9-17.2,28.8-28.1,41.5 l22.7,22.7c13.7-15.6,25.5-32.9,34.9-51.5L447.7,355.5z M471.4,272c-1.4,18.8-5.2,37-11.1,54.1l29.5,12.6 c7.5-21.1,12.2-43.5,13.6-66.8H471.4z M321.2,462c-15.7,5-32.2,8.2-49.2,9.4v32.1c21.2-1.4,41.7-5.4,61.1-11.7L321.2,462z M240,471.4c-18.8-1.4-37-5.2-54.1-11.1l-12.6,29.5c21.1,7.5,43.5,12.2,66.8,13.6V471.4z M462,190.8c5,15.7,8.2,32.2,9.4,49.2h32.1 c-1.4-21.2-5.4-41.7-11.7-61.1L462,190.8z M92.4,397c-12-13.9-22.3-29.4-30.4-46.1l-29.8,11.9c9.9,20.7,22.6,39.8,37.6,56.9 L92.4,397z M272,40.6c18.8,1.4,36.9,5.2,54.1,11.1l12.6-29.5C317.7,14.7,295.3,10,272,8.5V40.6z M190.8,50 c15.7-5,32.2-8.2,49.2-9.4V8.5c-21.2,1.4-41.7,5.4-61.1,11.7L190.8,50z M442.3,92.3L419.6,115c12,13.9,22.3,29.4,30.5,46.1 l29.8-11.9C470,128.5,457.3,109.4,442.3,92.3z M397,92.4l22.7-22.7c-15.6-13.7-32.8-25.5-51.5-34.9l-12.6,29.5 C370.4,72.1,384.4,81.5,397,92.4z"
        })
      });
      var o = m(m({}, i), {}, {
        attributeName: "opacity"
      }), s = {
        tag: "circle",
        attributes: m(m({}, r), {}, {
          cx: "256",
          cy: "364",
          r: "28"
        }),
        children: []
      };
      return n || s.children.push({
        tag: "animate",
        attributes: m(m({}, i), {}, {
          attributeName: "r",
          values: "28;14;28;28;14;28;"
        })
      }, {
        tag: "animate",
        attributes: m(m({}, o), {}, {
          values: "1;0;1;1;0;1;"
        })
      }), a.push(s), a.push({
        tag: "path",
        attributes: m(m({}, r), {}, {
          opacity: "1",
          d: "M263.7,312h-16c-6.6,0-12-5.4-12-12c0-71,77.4-63.9,77.4-107.8c0-20-17.8-40.2-57.4-40.2c-29.1,0-44.3,9.6-59.2,28.7 c-3.9,5-11.1,6-16.2,2.4l-13.1-9.2c-5.6-3.9-6.9-11.8-2.6-17.2c21.2-27.2,46.4-44.7,91.2-44.7c52.3,0,97.4,29.8,97.4,80.2 c0,67.6-77.4,63.5-77.4,107.8C275.7,306.6,270.3,312,263.7,312z"
        }),
        children: n ? [] : [{
          tag: "animate",
          attributes: m(m({}, o), {}, {
            values: "1;0;0;0;0;1;"
          })
        }]
      }), n || a.push({
        tag: "path",
        attributes: m(m({}, r), {}, {
          opacity: "0",
          d: "M232.5,134.5l7,168c0.3,6.4,5.6,11.5,12,11.5h9c6.4,0,11.7-5.1,12-11.5l7-168c0.3-6.8-5.2-12.5-12-12.5h-23 C237.7,122,232.2,127.7,232.5,134.5z"
        }),
        children: [{
          tag: "animate",
          attributes: m(m({}, o), {}, {
            values: "0;0;1;1;0;0;"
          })
        }]
      }), {
        tag: "g",
        attributes: {
          class: "missing"
        },
        children: a
      };
    };
  }
}, kr = {
  hooks: function() {
    return {
      parseNodeAttributes: function(n, a) {
        var r = a.getAttribute("data-fa-symbol"), i = r === null ? !1 : r === "" ? !0 : r;
        return n.symbol = i, n;
      }
    };
  }
}, wr = [ya, or, sr, lr, fr, vr, pr, br, hr, yr, kr];
$a(wr, {
  mixoutsTo: L
});
L.noAuto;
var Cn = L.config;
L.library;
L.dom;
var Rt = L.parse;
L.findIconDefinition;
L.toHtml;
var xr = L.icon;
L.layer;
var Ar = L.text;
L.counter;
function Qe(t, e) {
  var n = Object.keys(t);
  if (Object.getOwnPropertySymbols) {
    var a = Object.getOwnPropertySymbols(t);
    e && (a = a.filter(function(r) {
      return Object.getOwnPropertyDescriptor(t, r).enumerable;
    })), n.push.apply(n, a);
  }
  return n;
}
function M(t) {
  for (var e = 1; e < arguments.length; e++) {
    var n = arguments[e] != null ? arguments[e] : {};
    e % 2 ? Qe(Object(n), !0).forEach(function(a) {
      N(t, a, n[a]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(t, Object.getOwnPropertyDescriptors(n)) : Qe(Object(n)).forEach(function(a) {
      Object.defineProperty(t, a, Object.getOwnPropertyDescriptor(n, a));
    });
  }
  return t;
}
function Ft(t) {
  "@babel/helpers - typeof";
  return Ft = typeof Symbol == "function" && typeof Symbol.iterator == "symbol" ? function(e) {
    return typeof e;
  } : function(e) {
    return e && typeof Symbol == "function" && e.constructor === Symbol && e !== Symbol.prototype ? "symbol" : typeof e;
  }, Ft(t);
}
function N(t, e, n) {
  return e = Ir(e), e in t ? Object.defineProperty(t, e, {
    value: n,
    enumerable: !0,
    configurable: !0,
    writable: !0
  }) : t[e] = n, t;
}
function Sr(t, e) {
  if (t == null)
    return {};
  var n = {}, a = Object.keys(t), r, i;
  for (i = 0; i < a.length; i++)
    r = a[i], !(e.indexOf(r) >= 0) && (n[r] = t[r]);
  return n;
}
function Or(t, e) {
  if (t == null)
    return {};
  var n = Sr(t, e), a, r;
  if (Object.getOwnPropertySymbols) {
    var i = Object.getOwnPropertySymbols(t);
    for (r = 0; r < i.length; r++)
      a = i[r], !(e.indexOf(a) >= 0) && Object.prototype.propertyIsEnumerable.call(t, a) && (n[a] = t[a]);
  }
  return n;
}
function se(t) {
  return _r(t) || Pr(t) || Er(t) || Cr();
}
function _r(t) {
  if (Array.isArray(t))
    return le(t);
}
function Pr(t) {
  if (typeof Symbol < "u" && t[Symbol.iterator] != null || t["@@iterator"] != null)
    return Array.from(t);
}
function Er(t, e) {
  if (t) {
    if (typeof t == "string")
      return le(t, e);
    var n = Object.prototype.toString.call(t).slice(8, -1);
    if (n === "Object" && t.constructor && (n = t.constructor.name), n === "Map" || n === "Set")
      return Array.from(t);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n))
      return le(t, e);
  }
}
function le(t, e) {
  (e == null || e > t.length) && (e = t.length);
  for (var n = 0, a = new Array(e); n < e; n++)
    a[n] = t[n];
  return a;
}
function Cr() {
  throw new TypeError(`Invalid attempt to spread non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`);
}
function Tr(t, e) {
  if (typeof t != "object" || t === null)
    return t;
  var n = t[Symbol.toPrimitive];
  if (n !== void 0) {
    var a = n.call(t, e || "default");
    if (typeof a != "object")
      return a;
    throw new TypeError("@@toPrimitive must return a primitive value.");
  }
  return (e === "string" ? String : Number)(t);
}
function Ir(t) {
  var e = Tr(t, "string");
  return typeof e == "symbol" ? e : String(e);
}
var Nr = typeof globalThis < "u" ? globalThis : typeof window < "u" ? window : typeof global < "u" ? global : typeof self < "u" ? self : {}, Tn = { exports: {} };
(function(t) {
  (function(e) {
    var n = function(v, p, h) {
      if (!c(p) || u(p) || b(p) || g(p) || l(p))
        return p;
      var S, O = 0, D = 0;
      if (f(p))
        for (S = [], D = p.length; O < D; O++)
          S.push(n(v, p[O], h));
      else {
        S = {};
        for (var $ in p)
          Object.prototype.hasOwnProperty.call(p, $) && (S[v($, h)] = n(v, p[$], h));
      }
      return S;
    }, a = function(v, p) {
      p = p || {};
      var h = p.separator || "_", S = p.split || /(?=[A-Z])/;
      return v.split(S).join(h);
    }, r = function(v) {
      return P(v) ? v : (v = v.replace(/[\-_\s]+(.)?/g, function(p, h) {
        return h ? h.toUpperCase() : "";
      }), v.substr(0, 1).toLowerCase() + v.substr(1));
    }, i = function(v) {
      var p = r(v);
      return p.substr(0, 1).toUpperCase() + p.substr(1);
    }, o = function(v, p) {
      return a(v, p).toLowerCase();
    }, s = Object.prototype.toString, l = function(v) {
      return typeof v == "function";
    }, c = function(v) {
      return v === Object(v);
    }, f = function(v) {
      return s.call(v) == "[object Array]";
    }, u = function(v) {
      return s.call(v) == "[object Date]";
    }, b = function(v) {
      return s.call(v) == "[object RegExp]";
    }, g = function(v) {
      return s.call(v) == "[object Boolean]";
    }, P = function(v) {
      return v = v - 0, v === v;
    }, E = function(v, p) {
      var h = p && "process" in p ? p.process : p;
      return typeof h != "function" ? v : function(S, O) {
        return h(S, v, O);
      };
    }, I = {
      camelize: r,
      decamelize: o,
      pascalize: i,
      depascalize: o,
      camelizeKeys: function(v, p) {
        return n(E(r, p), v);
      },
      decamelizeKeys: function(v, p) {
        return n(E(o, p), v, p);
      },
      pascalizeKeys: function(v, p) {
        return n(E(i, p), v);
      },
      depascalizeKeys: function() {
        return this.decamelizeKeys.apply(this, arguments);
      }
    };
    t.exports ? t.exports = I : e.humps = I;
  })(Nr);
})(Tn);
var Lr = Tn.exports, $r = ["class", "style"];
function Mr(t) {
  return t.split(";").map(function(e) {
    return e.trim();
  }).filter(function(e) {
    return e;
  }).reduce(function(e, n) {
    var a = n.indexOf(":"), r = Lr.camelize(n.slice(0, a)), i = n.slice(a + 1).trim();
    return e[r] = i, e;
  }, {});
}
function zr(t) {
  return t.split(/\s+/).reduce(function(e, n) {
    return e[n] = !0, e;
  }, {});
}
function xe(t) {
  var e = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, n = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : {};
  if (typeof t == "string")
    return t;
  var a = (t.children || []).map(function(l) {
    return xe(l);
  }), r = Object.keys(t.attributes || {}).reduce(function(l, c) {
    var f = t.attributes[c];
    switch (c) {
      case "class":
        l.class = zr(f);
        break;
      case "style":
        l.style = Mr(f);
        break;
      default:
        l.attrs[c] = f;
    }
    return l;
  }, {
    attrs: {},
    class: {},
    style: {}
  });
  n.class;
  var i = n.style, o = i === void 0 ? {} : i, s = Or(n, $r);
  return Je(t.tag, M(M(M({}, e), {}, {
    class: r.class,
    style: M(M({}, r.style), o)
  }, r.attrs), s), a);
}
var In = !1;
try {
  In = process.env.NODE_ENV === "production";
} catch {
}
function Rr() {
  if (!In && console && typeof console.error == "function") {
    var t;
    (t = console).error.apply(t, arguments);
  }
}
function mt(t, e) {
  return Array.isArray(e) && e.length > 0 || !Array.isArray(e) && e ? N({}, t, e) : {};
}
function Fr(t) {
  var e, n = (e = {
    "fa-spin": t.spin,
    "fa-pulse": t.pulse,
    "fa-fw": t.fixedWidth,
    "fa-border": t.border,
    "fa-li": t.listItem,
    "fa-inverse": t.inverse,
    "fa-flip": t.flip === !0,
    "fa-flip-horizontal": t.flip === "horizontal" || t.flip === "both",
    "fa-flip-vertical": t.flip === "vertical" || t.flip === "both"
  }, N(e, "fa-".concat(t.size), t.size !== null), N(e, "fa-rotate-".concat(t.rotation), t.rotation !== null), N(e, "fa-pull-".concat(t.pull), t.pull !== null), N(e, "fa-swap-opacity", t.swapOpacity), N(e, "fa-bounce", t.bounce), N(e, "fa-shake", t.shake), N(e, "fa-beat", t.beat), N(e, "fa-fade", t.fade), N(e, "fa-beat-fade", t.beatFade), N(e, "fa-flash", t.flash), N(e, "fa-spin-pulse", t.spinPulse), N(e, "fa-spin-reverse", t.spinReverse), e);
  return Object.keys(n).map(function(a) {
    return n[a] ? a : null;
  }).filter(function(a) {
    return a;
  });
}
function Ze(t) {
  if (t && Ft(t) === "object" && t.prefix && t.iconName && t.icon)
    return t;
  if (Rt.icon)
    return Rt.icon(t);
  if (t === null)
    return null;
  if (Ft(t) === "object" && t.prefix && t.iconName)
    return t;
  if (Array.isArray(t) && t.length === 2)
    return {
      prefix: t[0],
      iconName: t[1]
    };
  if (typeof t == "string")
    return {
      prefix: "fas",
      iconName: t
    };
}
var jr = j({
  name: "FontAwesomeIcon",
  props: {
    border: {
      type: Boolean,
      default: !1
    },
    fixedWidth: {
      type: Boolean,
      default: !1
    },
    flip: {
      type: [Boolean, String],
      default: !1,
      validator: function(e) {
        return [!0, !1, "horizontal", "vertical", "both"].indexOf(e) > -1;
      }
    },
    icon: {
      type: [Object, Array, String],
      required: !0
    },
    mask: {
      type: [Object, Array, String],
      default: null
    },
    maskId: {
      type: String,
      default: null
    },
    listItem: {
      type: Boolean,
      default: !1
    },
    pull: {
      type: String,
      default: null,
      validator: function(e) {
        return ["right", "left"].indexOf(e) > -1;
      }
    },
    pulse: {
      type: Boolean,
      default: !1
    },
    rotation: {
      type: [String, Number],
      default: null,
      validator: function(e) {
        return [90, 180, 270].indexOf(Number.parseInt(e, 10)) > -1;
      }
    },
    swapOpacity: {
      type: Boolean,
      default: !1
    },
    size: {
      type: String,
      default: null,
      validator: function(e) {
        return ["2xs", "xs", "sm", "lg", "xl", "2xl", "1x", "2x", "3x", "4x", "5x", "6x", "7x", "8x", "9x", "10x"].indexOf(e) > -1;
      }
    },
    spin: {
      type: Boolean,
      default: !1
    },
    transform: {
      type: [String, Object],
      default: null
    },
    symbol: {
      type: [Boolean, String],
      default: !1
    },
    title: {
      type: String,
      default: null
    },
    titleId: {
      type: String,
      default: null
    },
    inverse: {
      type: Boolean,
      default: !1
    },
    bounce: {
      type: Boolean,
      default: !1
    },
    shake: {
      type: Boolean,
      default: !1
    },
    beat: {
      type: Boolean,
      default: !1
    },
    fade: {
      type: Boolean,
      default: !1
    },
    beatFade: {
      type: Boolean,
      default: !1
    },
    flash: {
      type: Boolean,
      default: !1
    },
    spinPulse: {
      type: Boolean,
      default: !1
    },
    spinReverse: {
      type: Boolean,
      default: !1
    }
  },
  setup: function(e, n) {
    var a = n.attrs, r = A(function() {
      return Ze(e.icon);
    }), i = A(function() {
      return mt("classes", Fr(e));
    }), o = A(function() {
      return mt("transform", typeof e.transform == "string" ? Rt.transform(e.transform) : e.transform);
    }), s = A(function() {
      return mt("mask", Ze(e.mask));
    }), l = A(function() {
      return xr(r.value, M(M(M(M({}, i.value), o.value), s.value), {}, {
        symbol: e.symbol,
        title: e.title,
        titleId: e.titleId,
        maskId: e.maskId
      }));
    });
    Fn(l, function(f) {
      if (!f)
        return Rr("Could not find one or more icon(s)", r.value, s.value);
    }, {
      immediate: !0
    });
    var c = A(function() {
      return l.value ? xe(l.value.abstract[0], {}, a) : null;
    });
    return function() {
      return c.value;
    };
  }
});
j({
  name: "FontAwesomeLayers",
  props: {
    fixedWidth: {
      type: Boolean,
      default: !1
    }
  },
  setup: function(e, n) {
    var a = n.slots, r = Cn.familyPrefix, i = A(function() {
      return ["".concat(r, "-layers")].concat(se(e.fixedWidth ? ["".concat(r, "-fw")] : []));
    });
    return function() {
      return Je("div", {
        class: i.value
      }, a.default ? a.default() : []);
    };
  }
});
j({
  name: "FontAwesomeLayersText",
  props: {
    value: {
      type: [String, Number],
      default: ""
    },
    transform: {
      type: [String, Object],
      default: null
    },
    counter: {
      type: Boolean,
      default: !1
    },
    position: {
      type: String,
      default: null,
      validator: function(e) {
        return ["bottom-left", "bottom-right", "top-left", "top-right"].indexOf(e) > -1;
      }
    }
  },
  setup: function(e, n) {
    var a = n.attrs, r = Cn.familyPrefix, i = A(function() {
      return mt("classes", [].concat(se(e.counter ? ["".concat(r, "-layers-counter")] : []), se(e.position ? ["".concat(r, "-layers-").concat(e.position)] : [])));
    }), o = A(function() {
      return mt("transform", typeof e.transform == "string" ? Rt.transform(e.transform) : e.transform);
    }), s = A(function() {
      var c = Ar(e.value.toString(), M(M({}, o.value), i.value)), f = c.abstract;
      return e.counter && (f[0].attributes.class = f[0].attributes.class.replace("fa-layers-text", "")), f[0];
    }), l = A(function() {
      return xe(s.value, {}, a);
    });
    return function() {
      return l.value;
    };
  }
});
const Dr = ["role"], Br = { class: "visually-hidden" }, Yr = /* @__PURE__ */ j({
  __name: "TarSpinner",
  props: {
    grow: { type: [Boolean, String] },
    inline: { type: [Boolean, String] },
    label: { default: "Loading..." },
    role: { default: "status" },
    small: { type: [Boolean, String] },
    variant: {}
  },
  setup(t) {
    const e = t, n = A(() => {
      const a = w(e.grow) ? "grow" : "border", r = [`spinner-${a}`];
      return w(e.small) && r.push(`spinner-${a}-sm`), e.variant && r.push(`text-${e.variant}`), r;
    });
    return (a, r) => F(w)(a.inline) ? (C(), T("span", {
      key: 0,
      class: Y(n.value),
      "aria-hidden": "true"
    }, null, 2)) : (C(), T("div", {
      key: 1,
      class: Y(n.value),
      role: a.role
    }, [
      R(a.$slots, "label-override", {}, () => [
        tt("span", Br, dt(a.label), 1)
      ])
    ], 10, Dr));
  }
}), Ur = ["disabled", "name", "type", "value"], Wr = {
  class: "visually-hidden",
  role: "status"
}, Hr = /* @__PURE__ */ j({
  __name: "TarButton",
  props: {
    disabled: { type: [Boolean, String] },
    icon: {},
    loading: { type: [Boolean, String] },
    name: {},
    nowrap: { type: [Boolean, String] },
    outline: { type: [Boolean, String] },
    size: { default: "medium" },
    status: { default: "Loading..." },
    text: {},
    type: { default: "button" },
    value: {},
    variant: { default: "primary" }
  },
  emits: ["click"],
  setup(t) {
    const e = t, n = A(() => {
      const a = ["btn"];
      switch (e.variant && a.push(w(e.outline) ? `btn-outline-${e.variant}` : `btn-${e.variant}`), w(e.nowrap) && a.push("text-nowrap"), e.size) {
        case "large":
          a.push("btn-lg");
          break;
        case "small":
          a.push("btn-sm");
          break;
      }
      return a;
    });
    return (a, r) => (C(), T("button", {
      class: Y(n.value),
      disabled: F(w)(a.disabled),
      name: a.name,
      type: a.type,
      value: a.value,
      onClick: r[0] || (r[0] = (i) => a.$emit("click"))
    }, [
      F(w)(a.loading) ? R(a.$slots, "spinner", { key: 0 }, () => [
        Ae(Yr, {
          inline: "",
          small: ""
        }),
        tt("span", Wr, dt(a.status), 1),
        a.text ? (C(), T(It, { key: 0 }, [
          Wt(" ")
        ], 64)) : at("", !0)
      ], !0) : a.icon ? R(a.$slots, "icon-override", { key: 1 }, () => [
        Ae(F(jr), { icon: a.icon }, null, 8, ["icon"]),
        a.text ? (C(), T(It, { key: 0 }, [
          Wt(" ")
        ], 64)) : at("", !0)
      ], !0) : at("", !0),
      a.text ? (C(), T(It, { key: 2 }, [
        Wt(dt(a.text), 1)
      ], 64)) : at("", !0),
      R(a.$slots, "default", {}, void 0, !0)
    ], 10, Ur));
  }
}), Vr = (t, e) => {
  const n = t.__vccOpts || t;
  for (const [a, r] of e)
    n[a] = r;
  return n;
}, ri = /* @__PURE__ */ Vr(Hr, [["__scopeId", "data-v-19270d92"]]);
let Nn = (t = 21) => crypto.getRandomValues(new Uint8Array(t)).reduce((e, n) => (n &= 63, n < 36 ? e += n.toString(36) : n < 62 ? e += (n - 26).toString(36).toUpperCase() : n > 62 ? e += "-" : e += "_", e), "");
const Gr = ["aria-label", "checked", "disabled", "id", "name", "required", "role", "value"], Xr = ["for"], ii = /* @__PURE__ */ j({
  __name: "TarCheckbox",
  props: {
    ariaLabel: {},
    disabled: { type: [Boolean, String] },
    id: {},
    inline: { type: [Boolean, String] },
    label: {},
    modelValue: { type: [Boolean, String] },
    name: {},
    required: { type: [Boolean, String] },
    reverse: { type: [Boolean, String] },
    role: {},
    switch: { type: [Boolean, String] },
    value: {}
  },
  emits: ["update:model-value"],
  setup(t, { expose: e, emit: n }) {
    const a = t, r = tn(), i = A(() => {
      const u = ["form-check"];
      return w(a.inline) && u.push("form-check-inline"), w(a.reverse) && u.push("form-check-reverse"), w(a.switch) && u.push("form-switch"), u;
    }), o = A(() => a.id ?? Nn()), s = A(() => a.role ?? (a.switch ? "switch" : void 0)), l = n;
    function c(u) {
      l("update:model-value", u.target.checked);
    }
    function f() {
      var u;
      (u = r.value) == null || u.focus();
    }
    return e({ focus: f }), (u, b) => (C(), T("div", {
      class: Y(i.value)
    }, [
      R(u.$slots, "default", {}, () => [
        tt("input", {
          "aria-label": u.ariaLabel,
          checked: F(w)(u.modelValue),
          class: "form-check-input",
          disabled: F(w)(u.disabled),
          id: o.value,
          name: u.name,
          ref_key: "inputRef",
          ref: r,
          required: F(w)(u.required),
          role: s.value,
          type: "checkbox",
          value: u.value,
          onChange: c
        }, null, 40, Gr),
        R(u.$slots, "label-override", {}, () => [
          u.label ? (C(), T("label", {
            key: 0,
            class: "form-check-label",
            for: o.value
          }, dt(u.label), 9, Xr)) : at("", !0)
        ])
      ])
    ], 2));
  }
}), Kr = ["alt", "height", "src", "width"], oi = /* @__PURE__ */ j({
  __name: "TarImage",
  props: {
    alt: {},
    circle: { type: [Boolean, String] },
    fluid: { type: [Boolean, String] },
    height: {},
    rounded: { type: [Boolean, String] },
    src: {},
    thumbnail: { type: [Boolean, String] },
    width: {}
  },
  setup(t) {
    const e = t, n = A(() => {
      const a = [];
      return w(e.circle) ? a.push("rounded-circle") : w(e.rounded) && a.push("rounded"), w(e.fluid) && a.push("img-fluid"), w(e.thumbnail) && a.push("img-thumbnail"), a;
    });
    return (a, r) => (C(), T("img", {
      alt: a.alt,
      class: Y(n.value),
      height: F(Kt)(a.height),
      src: a.src,
      width: F(Kt)(a.width)
    }, null, 10, Kr));
  }
}), Ln = Symbol(), $n = Symbol(), qr = ["id", "aria-labelledby"], si = /* @__PURE__ */ j({
  __name: "TarTab",
  props: {
    active: { type: [Boolean, String] },
    disabled: { type: [Boolean, String] },
    id: { default: () => Nn() },
    title: {}
  },
  setup(t) {
    const e = Se(Ln), n = Se($n), a = t, r = A(() => {
      const i = ["tab-pane", "fade"];
      return a.active && (i.push("show"), i.push("active")), i;
    });
    return jn(() => {
      e && e(a);
    }), Dn(() => {
      n && n(a);
    }), Bn(() => {
      e && e(a);
    }), (i, o) => (C(), T("div", {
      class: Y(r.value),
      id: `tab_${i.id}_pane`,
      role: "tabpanel",
      "aria-labelledby": `tab_${i.id}_head`,
      tabindex: "0"
    }, [
      R(i.$slots, "default")
    ], 10, qr));
  }
}), Qr = ["id"], Zr = ["id", "data-bs-target", "aria-controls", "aria-selected", "disabled"], Jr = ["id"], li = /* @__PURE__ */ j({
  __name: "TarTabs",
  props: {
    id: { default: "tabs" }
  },
  setup(t) {
    const e = tn(/* @__PURE__ */ new Map());
    function n(r) {
      r.id && e.value.set(r.id, r);
    }
    function a(r) {
      r.id && e.value.delete(r.id);
    }
    return Oe(Ln, n), Oe($n, a), (r, i) => (C(), T("div", null, [
      tt("ul", {
        class: "nav nav-tabs",
        id: `tab_${r.id}_headers`,
        role: "tablist"
      }, [
        (C(!0), T(It, null, Yn(e.value, ([o, s]) => (C(), T("li", {
          key: o,
          class: "nav-item",
          role: "presentation"
        }, [
          tt("button", {
            class: Y({ "nav-link": !0, active: s.active }),
            id: `tab_${s.id}_head`,
            "data-bs-toggle": "tab",
            "data-bs-target": `#tab_${s.id}_pane`,
            type: "button",
            role: "tab",
            "aria-controls": `${s.id}_pane`,
            "aria-selected": s.active ? "true" : "false",
            disabled: F(w)(s.disabled)
          }, dt(s.title), 11, Zr)
        ]))), 128))
      ], 8, Qr),
      tt("div", {
        class: "tab-content mt-3",
        id: `${r.id}_contents`
      }, [
        R(r.$slots, "default")
      ], 8, Jr)
    ]));
  }
});
export {
  ni as TarAlert,
  ai as TarBadge,
  ri as TarButton,
  ii as TarCheckbox,
  oi as TarImage,
  Yr as TarSpinner,
  si as TarTab,
  li as TarTabs,
  Ln as bindTabKey,
  ei as parsingUtils,
  $n as unbindTabKey
};
//# sourceMappingURL=logitar-vue3-ui.js.map
